2008-10-22  Jürg Billeter  <j@bitron.ch>

	* README: Improve wording

2008-10-21  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Generate C code nodes only when needed for assignments to avoid
	unnecessary temporary variables

2008-10-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_scale_button_new and gtk_scale_button_set_icons bindings,
	patch by Daniel Svensson

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-20  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Bump version to 0.5.1

2008-10-20  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-10-20  Jürg Billeter  <j@bitron.ch>

	* NEWS, configure.ac: update for 0.4.0 release

2008-10-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_text_view_window_to_buffer_coords and
	gtk_text_view_buffer_to_window_coords bindings,
	patch by Andrea Del Signore

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-19  Ali Sabil  <ali.sabil@gmail.com>

	* vala/valainterface.vala:

	Fix interface properties in GObject classes

2008-10-17  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* gobject/valaccodeobjecttypesymbolbinding.vala:

	New DBus attribute "result" to rename result for introspection,
	fixes bug 549509

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_test_add_data_func binding

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Use defines also for internal constants to fix string constant
	concatenation

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Add is_fundamental metadata attribute

	* vapi/packages/gstreamer-0.10/:

	Fix GstMiniObject binding

	* vapi/gstreamer-0.10.vapi: regenerated

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/Makefile.am:
	* vapigen/valagirparser.vala:
	* vapigen/valamarkupreader.vala:
	* vapigen/valavapigen.vala:

	Add experimental .gir support to vapigen

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala:

	Ignore non-type symbols when resolving types

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valaenumvalue.vala:
	* vala/valainterfacewriter.vala:

	Improve custom cname support for enum values

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valainterface.vala:
	* gobject/valaccodetypesymbolbinding.vala:

	Fix interface properties in GObject classes

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* vapi/glib-2.0.vapi:

	Fix leaks in non-GObject classes,
	based on patch by Andrea Del Signore, fixes bug 554844

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valabinaryexpression.vala:
	* vala/valaexpression.vala:
	* vala/valamemberaccess.vala:
	* vala/valastringliteral.vala:
	* gobject/valaccodegenerator.vala:

	Extend non-null check when managing memory, fixes bug 530422

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valabinaryexpression.vala:
	* vala/valaexpression.vala:
	* vala/valaliteral.vala:
	* vala/valamemberaccess.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Treat the result of two concatenated string constants as constant,
	fixes bug 516287

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Move C-specific string concatenation from semantic analyzer to
	code generator, patch by Andrea Del Signore

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_link_button_set_uri_hook binding, patch by Michael Terry,
	fixes bug 556638

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add missing sys/wait.h includes, patch by Michael Terry,
	fixes bug 556637

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-keyring-1/:

	Fix gnome_keyring_find_password_sync binding,
	patch by Michael Terry, fixes bug 556636

	* vapi/gnome-keyring-1.vapi: regenerated

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_message_dialog_format_secondary_text binding,
	patch by Michael Terry, fixes bug 556625

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_tree_view_get_cursor binding, patch by Hans Vercammen,
	fixes bug 555972

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/libusb.vapi:

	Add missing [Compact], patch by Matías De la Puente,
	fixes bug 555018

2008-10-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_strcanon, g_object_class_install_property, GToggleNotify,
	and GStringChunk bindings, patch by Yu Feng,
	fixes part of bug 555566

2008-10-17  Roberto Majadas  <telemaco@openshine.com>

	* vapi/tracker-indexer-module-1.0.vapi: Add tracker indexer bindings

2008-10-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodememberaccessbinding.vala:

	Fix memory leak when using GObject properties without accessors

2008-10-14  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/vte.vapi: regenerated (for has_construct_function attribute)

2008-10-14  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	fix ctype of ToggleActionEntry

	* vapi/gtk+-2.0.vapi: regenerated

2008-10-13  Jürg Billeter  <j@bitron.ch>

	* gobject/valagirwriter.vala:

	Fix indentation of parameters

2008-10-13  Jürg Billeter  <j@bitron.ch>

	* gobject/Makefile.am:
	* gobject/valagirwriter.vala:
	* compiler/valacompiler.vala:

	Add partial support for writing .gir files, replaces .gidl writer

2008-10-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodemethodbinding.vala:

	Fix code generation for virtual methods returning arrays

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Add support for copying arrays, fixes bug 477107

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* vapi/atk.vapi:
	* vapi/gdk-2.0.vapi:
	* vapi/gdk-pixbuf-2.0.vapi:
	* vapi/gio-2.0.vapi:
	* vapi/gio-unix-2.0.vapi:
	* vapi/gstreamer-0.10.vapi:
	* vapi/gstreamer-audio-0.10.vapi:
	* vapi/gstreamer-base-0.10.vapi:
	* vapi/gstreamer-controller-0.10.vapi:
	* vapi/gstreamer-dataprotocol-0.10.vapi:
	* vapi/gstreamer-fft-0.10.vapi:
	* vapi/gstreamer-net-0.10.vapi:
	* vapi/gstreamer-netbuffer-0.10.vapi:
	* vapi/gstreamer-pbutils-0.10.vapi:
	* vapi/gstreamer-riff-0.10.vapi:
	* vapi/gstreamer-rtp-0.10.vapi:
	* vapi/gstreamer-sdp-0.10.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/pango.vapi:

	Regenerated

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vala/valamethod.vala:
	* gobject/valaccodemethodbinding.vala:
	* vapigen/valagidlparser.vala:

	Always chain up to base constructor when possible,
	add has_construct_function attribute

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valacreationmethod.vala:
	* vala/valainterfacewriter.vala:
	* vala/valaobjecttype.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valastruct.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valagidlwriter.vala:

	Support chaining constructors using `base' and `this'

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala:
	* vapi/cairo.vapi:

	Avoid conflicts between named constructors and other members

2008-10-11  Jürg Billeter  <j@bitron.ch>

	* vala/valacreationmethod.vala:
	* vala/valamethod.vala:
	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodemethodbinding.vala:

	Generate code for construct functions in preparation to support
	base constructor calls

2008-10-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodemethodbinding.vala:

	Remove duplicated code

2008-10-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodecreationmethodbinding.vala:
	* gobject/valaccodemethodbinding.vala:

	Lift restriction on statements in creation methods of GObjects
	in preparation to support more flexible construction scheme

2008-10-09  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:
	* vapi/packages/gdk-2.0/:
	* vapi/packages/gtk+-2.0/:

	Fix GdkDestroyNotify and GtkDestroyNotify bindings,
	fixes bug 525687

	* vapi/gdk-2.0.vapi:
	* vapi/gtk+-2.0.vapi:

	Regenerated

2008-10-06  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Mark time_t as integer type

2008-10-04  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/vte/vte.metadata:

	vte_terminal_fork_command arguments are nullable

	* vapi/vte.vapi: regenerated

2008-10-04  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/glib-2.0.vapi:

	Add missing properties to the GScanner binding,
	patch by Johann Prieur

2008-10-03  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaclassregisterfunction.vala:

	Fix cname of GValue helper functions for fundamental classes

2008-10-03  Jürg Billeter  <j@bitron.ch>

	* vala/valasignal.vala:
	* gobject/valaccodetypesymbolbinding.vala:

	Always use lowercase signal names in generated C code,
	patch by Marc-André Lureau, fixes bug 549507

2008-10-03  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valainterfacewriter.vala:
	* vala/valatypesymbol.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsourcefile.vala:
	* gobject/valaccodetypesymbolbinding.vala:
	* gobject/valaclassregisterfunction.vala:
	* gobject/valatyperegisterfunction.vala:
	* vapi/glib-2.0.vapi:

	Generate code to support GValue and GParamSpec for fundamental
	classes, patch by Florian Brosch, fixes bug 549480

2008-10-03  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_log_set_default_handler binding, patch by Marc-André Lureau,
	fixes bug 549766

2008-09-30  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/glib-2.0.vapi:

	Add GNormalizeMode and g_utf8_normalize bindings

2008-09-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Don't use g_object_notify for non-GObject properties,
	fixes bug 548442

2008-09-29  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala:
	* vala/valastruct.vala:
	* vala/valavaluetype.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorstruct.vala:

	Add experimental memory management support for structs that use
	reference types in fields, fixes bug 526552

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_hash_table_steal and g_hash_table_steal_all bindings,
	patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vala/valatypeparameter.vala:
	* vala/valatypesymbol.vala:

	Remove unused array_types fields, patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix fopen and fdopen bindings, patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_chdir binding, patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_key_file_load_from_dirs binding, patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix g_compute_checksum_for_{data,string} bindings,
	patch by Marc-André Lureau

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_tag_list_copy binding, patch by Marc-André Lureau

	* vapi/gstreamer-0.10.vapi: regenerated

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vala/valasourcefile.vala:

	Support parsing from a string, patch by Andrea Del Signore,
	fixes bug 553926

2008-09-28  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:

	Support static properties, patch by Ali Sabil

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/:

	Fix g_file_query_info binding, fixes bug 548222

	* vapi/gio-2.0.vapi: regenerated

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_element_get_bus and gst_pipeline_get_bus bindings,
	fixes bug 548219

	* vapi/gstreamer-0.10.vapi: regenerated

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsoup-2.4/:

	Fix soup_uri_copy, soup_uri_normalize, and soup_uri_to_string
	bindings, patch by Víctor Manuel Jáquez Leal, fixes bug 553568

	* vapi/libsoup-2.4.vapi: regenerated

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix crash when using sizeof expression for pointers,
	fixes bug 549085

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vala/valageniescanner.vala:
	* vala/valascanner.vala:

	Fix member access on integer literals, fixes bug 547419

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinterfacebinding.vala:

	Fix runtime error when using non-abstract properties in interfaces,
	fixes bug 539719

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/goocanvas/:

	Various fixes to the GooCanvas bindings,
	patch by Matías De la Puente, fixes bug 551876

	* vapi/goocanvas.vapi: regenerated

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valainterface.vala:
	* vala/valastruct.vala:

	Add accessors for nested types, patch by Florian Brosch,
	fixes bug 552958

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix GMarkupParser binding, patch by Matías De la Puente,
	fixes bug 553282

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/:

	Fix gdk_display_get_maximal_cursor_size binding,
	patch by Michael Terry, fixes bug 551120

	* vapi/gdk-2.0.vapi: regenerated

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:

	Distribute and install gnet-2.0.vapi,
	patch by Maciej Piechotka, fixes bug 552701

2008-09-27  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Add basic support for static properties

2008-09-27  Jared Moore  <jaredm@gmx.com>

	* vala/valaenum.vala:

	Swap g_value_set_uint and g_value_set_int in get_set_value_function(),
	fixes bug 543922.

2008-09-27  Jared Moore  <jaredm@gmx.com>

	* vala/valasemanticanalyser.vala:

	Check type of 'default' initializers in semantic analyzer, fixes bug
	544556.

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix GThreadPool and GAsyncQueue bindings

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix handling of array arguments in object creation expressions

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:

	Avoid code duplication for handling struct arguments

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Use correct accessor cname for interface implementations of
	properties inherited from a base class,
	based on patch by Florian Brosch, fixes bug 548895

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/scanner.c:
	* gobject-introspection/scannerlexer.l:

	Add missing stdlib.h include,
	patch by Alexander Bokovoy, fixes bug 547569

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valadatatype.vala:

	Fix qualified string of nullable array types,
	patch by Anthony Taylor, fixes bug 544932

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix GSequenceIter binding, it should be treated as a value-type,
	fixes bug 539969

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valacodevisitor.vala:
	* vala/valagenieparser.vala:
	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasourcefile.vala:
	* vala/valasymbolresolver.vala:
	* vala/valaunresolvedsymbol.vala:
	* vala/valausingdirective.vala:
	* compiler/valacompiler.vala:

	Replace NamespaceReference by UsingDirective and UnresolvedSymbol,
	fixes bug 537510

	* tests/namespaces.vala:

	Test using directive with nested namespaces

2008-09-26  Jürg Billeter  <j@bitron.ch>

	* vala/valarealliteral.vala:

	Implement RealLiteral.to_string, patch by Ali Sabil

2008-09-25  Jürg Billeter  <j@bitron.ch>

	* vala/valastringliteral.vala:

	Fix processing of non-ASCII string literals,
	patch by Alexey Lubimov, fixes bug 547236

2008-09-25  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsoup-2.2:
	* vapi/packages/libsoup-2.4:

	Fix soup_uri_decode and soup_uri_encode bindings

	* vapi/libsoup-2.2.vapi:
	* vapi/libsoup-2.4.vapi:

	Regenerated

2008-09-25  Jürg Billeter  <j@bitron.ch>

	* vala/valacreationmethod.vala:

	Fix parameter position defaults

2008-09-25  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/gsl.vapi:

	Add GSL bindings, patch by Matías De la Puente

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_markup_parse_context_end_parse and
	g_markup_parse_context_get_position bindings,
	patch by Hans Vercammen, fixes bug 547533

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add bindings for fseek, ftell, and rewind, patch by Mart Roosmaa,
	fixes bug 547196

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Check for structs without fields, patch by Jared Moore,
	fixes bug 543562

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/enchant.vapi:

	Various fixes, patch by Jan Rosczak, fixes bug 549131

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix strtod, strtoul, and g_ascii_strtoll bindings,
	patch by Yu Feng, fixes bug 548550

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Fix error handling in constructors, patch by Jared Moore,
	fixes bug 543156

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala:

	Support disabling sentinels, patch by Sam Liddicott,
	fixes bug 548248

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	GScanner binding fixes, patch by Matías De la Puente,
	fixes bug 548093

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/:

	Fix g_themed_icon_get_names binding, patch by Gregor Burger,
	fixes bug 543304

	* vapi/gio-2.0.vapi: regenerated

2008-09-16  Gabriel Falcão  <gabriel@nacaolivre.org>

	* vapi/glib-2.0.vapi:

	Add support to get ParamSpec metadata by the methods:
	get_nick(), get_name(), get_blurb(), fixes bug 552320

2008-09-16  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Add support for virtual and abstract metadata attributes,
	patch by Andrea Del Signore, fixes bug 551205

2008-09-13  Andrea Del Signore  <sejerpz@tin.it>

	* vapi/libbonoboui-2.0.vapi: 

	Fixed Component class type check function name

2008-09-03  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Improve Gst.Pad bindings, patch by Ali Sabil

	* vapi/gstreamer-0.10.vapi: regenerated

2008-08-26  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/glib-2.0.vapi:

	Add memset binding

2008-08-25  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:

	Add buffer flag set/unset

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:

	Transfer ownership on gst_buffer_try_new_and_alloc

	* vapi/gstreamer-0.10.vapi: Regenerated

2008-08-25  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:

	Add class Event ref/unref function

	* vapi/packages/gdk-2.0/gdk-2.0-custom.vala: Fix indent
	* vapi/gstreamer-0.10.vapi: Regenerated

2008-08-24  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicpropertybinding.vala:

	Mark generated helper functions for dynamic properties as static
	inline, patch by Ali Sabil

2008-08-24  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gdk-2.0/gdk-2.0-custom.vala:

	Add Bitmap class to prevent it from being a compact class

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:
	transfer ownership on gdk_bitmap_create_from_data

	* vapi/gdk-2.0.vapi: Regenerated

2008-08-24  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:

	Set gdk_window_set_cursor.cursor nullable

	* vapi/gdk-2.0.vapi: Regenerated

2008-08-16  Zeeshan Ali Khattak  <zeenix@gmail.com>

	* vapi/glib-2.0.vapi:

	Add g_get_real_name binding

2008-08-14  Jürg Billeter  <j@bitron.ch>

	Don't derive from GObject in libvala where not necessary to improve
	compilation performance

2008-08-14  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-08-14  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.3.5 release

2008-08-14  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Fix dynamic signal parameters, patch by Ali Sabil

2008-08-14  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* gobject/valaccodecompiler.vala:
	* compiler/valacompiler.vala

	Prevent output filename concatenation when -d is passed with an
	absolute path to -o, fixes bug 547344

2008-08-14  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorstruct.vala:

	Use finalize instead of dispose to free instance data as dispose
	should only be used where it is necessary to break reference
	cycles, and this is possible by manually overriding the dispose
	method

2008-08-14  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Add missing casts and checks for non-GObject classes

2008-08-14  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodegenerator.vala:

	Fixed codegen of abstract property accessors, bug 547226.

	* tests/classes-properties.vala:
	* tests/classes-properties.exp:

	Added test case for abstract property accessors.

2008-08-10  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:

	Add ref functions for Gst.Caps

	* vapi/gstreamer-0.10.vapi: regenerated

2008-08-11  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valasemanticanalyzer.vala:

	Fixed segfault in ternary expressions, bug 547165.

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vala/valacodecontext.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaclassregisterfunction.vala:
	* gobject/valainterfaceregisterfunction.vala:
	* gobject/valatyperegisterfunction.vala:
	* compiler/valacompiler.vala:

	Add --target-glib command-line option, default to 2.12,
	based on patch by Jared Moore, fixes bug 544990

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:

	Support IntegerType and FloatingType attributes,
	patch by Emmanuele Bassi, fixes bug 544522

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add GCompletion binding, patch by Abderrahim Kitouni,
	fixes bug 546252

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/vte/:

	Fix vte_terminal_get_cursor_position binding,
	patch by Anthony Taylor, fixes bug 546238

	* vapi/vte.vapi: regenerated

2008-08-10  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:

	Fix header files of some base elements

	* vapi/gstreamer-base-0.10.vapi: regenerated

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Fix base access for properties, fixes bug 506075

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:

	Use accessor vfuncs to implement virtual and abstract properties,
	fixes bug 508472 and bug 505966

2008-08-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/vte/:

	Fix vte_terminal_set_colors binding, fixes bug 547136

	* vapi/vte.vapi: regenerated

2008-08-10  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodeinvocationexpressionbinding.vala:

	Generate correct code for calling class methods outside of static or
	class constructors, fixes bug 539592.

	* tests/classes-methods.vala:
	* tests/classes-methods.exp:

	Added test cases for calling class methods.

2008-08-06  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:

	transfer ownership of some return values

	* vapi/gstreamer-0.10.vapi: regenerated

2008-08-06  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix crash when using foreach with stacked arrays, fixes bug 546450

2008-08-06  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix crash when using VAPI properties outside of a class

2008-08-05  Thijs Vermeir  <thijsvermeir@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:

	Add logging functions for DebugCategory

	* vapi/gstreamer-0.10.vapi: regenerated

2008-08-04  Jürg Billeter  <j@bitron.ch>

	* vala/valablock.vala:
	* vala/valagenieparser.vala:
	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:

	Set source_reference of blocks, patch by Abderrahim Kitouni,
	fixes bug 546249

2008-08-04  Jürg Billeter  <j@bitron.ch>

	* vala/valatypesymbol.vala:

	Fix crash on incremental parsing, patch by Abderrahim Kitouni

2008-08-04  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix g_object_get and g_object_set bindings

2008-08-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Fix crash when passing delegate as D-Bus callback, fixes bug 545688

2008-07-30  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi:

	Fix sqlite3_get_table and sqlite3_free_table bindings, still
	requires manual memory management, fixes bug 542235

2008-07-30  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodecompiler.vala:

	Fix linking with --as-needed and on Windows,
	patch by Yaakov Selkowitz, fixes bug 545427

2008-07-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add GObject.ref_count binding, fixes bug 532584

2008-07-23  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valainterfacewriter.vala:
	* vala/valaclass.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala: 

	Add [CCode (type_check_function = "BLAH_IS_FOO")] for classes.

	* vapigen/valagidlparser.vala:

	Add type_check_function metadata.

	* vapi/packages/gnome-vfs-2.0/gnome-vfs-2.0.metadata:

	Set type_check_function for GnomeVFSDrive, GnomeVFSVolume,
	GnomeVFSVolumeMonitor, fixes bug 543693.

	* vapi/gnome-vfs-2.0.vapi: regenerated

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add binding for g_object_set_property

	* vapi/packages/gdk-2.0/:
	* vapi/packages/gtk+-2.0/:

	Various out and nullable fixes, patch by Frederik, fixes bug 544189

	* vapi/gdk-2.0.vapi:
	* vapi/gtk+-2.0.vapi:

	Regenerated

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_bus_set_sync_handler binding, fixes bug 542388

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Add GST_DEBUG_BIN_TO_DOT_FILE binding,
	patch by Thijs Vermeir, fixes bug 543759

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_ghost_pad_set_target binding,
	patch by Thijs Vermeir, fixes bug 544060

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodearraycreationexpressionbinding.vala:

	Fix crash when using multi-dimensional arrays,
	patch by Amos Brocco, fixes bug 544145

2008-07-22  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Fix regression introduced by last commit

2008-07-22  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valaparser.vala:

	Support "global::" for object creation expressions.

	* tests/namespaces.vala: add test case

2008-07-22  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Fixed bindings for GLib.MainContext.check and GLib.MainContext.query,
	fixes bug 543405.

2008-07-22  Jared Moore  <jaredm@svn.gnome.org>

	* ccode/valaccodedeclaration.vala:
	* ccode/valaccodemodifiers.vala:

	Added support for 'volatile' modifier in C code.

	* gobject/valatyperegisterfunction.vala:

	Make *_get_type functions thread safe, fixes bug 540705.

2008-07-22  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodeclassbinding.vala:
	* goblect/valaccodemethodbinding.vala:

	Generate *_instance_init function for compact classes to initialize
	fields, fixes bug 529679.

	* tests/classes-fields.vala: add test case

2008-07-21  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	Made tag parameters of gtk_text_iter_backward_to_tag_toggle and
	gtk_text_iter_forward_to_tag_toggle nullable.

	* vapi/gtk+-2.0.vapi: regenerated

2008-07-19  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gstreamer-0.10/:

	Fixes to gst_event_new_custom and gst_event_new_navigation,
	based on patch by Thijs Vermeir, fixes bug 543720.

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-19  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gstreamer-0.10/:

	Fixes to gst_element_factory_create and gst_element_factory_make,
	based on patch by Thijs Vermeir, fixes bug 543668.

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-18  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gstreamer-0.10/:

	Fixed gst_registry_feature_filter binding, fixes bug 543344.

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix various binding issues, based on patches by Thijs Vermeir and
	Jared Moore, fixes bug 543348, bug 543417, and bug 543344

	* vapi/gstreamer-0.10.vapi: regenerated

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vala/valaformalparameter.vala:
	* vala/valainterfacewriter.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:

	Support [CCode (type = "Foo")] for parameters,
	based on patch by Daniel Svensson, fixes bug 543073

	* vapigen/valagidlparser.vala:

	Add support for ctype metadata attribute for parameters

	* vapi/packages/gtk+-2.0/:

	Fix gtk_menu_shell_append binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:

	Fix symbol dependency calculation for arrays, fixes bug 537255

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	* vala/valascanner.vala:
	* vala/valatokentype.vala:

	Add parser support for internal symbol accessibility

2008-07-17  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Fixed Priority by changing it from an enum to a namespace.

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Fix syntax error

2008-07-17  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Various fixes to enums, fixes bug 542362.

2008-07-17  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:

	Made gc argument of gdk_drawable_draw_pixbuf nullable, fixes bug
	543000. Patch by Thijs Vermeir .

	* vapi/gdk-2.0.vapi:

	Regenerated.

2008-07-17  Jared Moore  <jaredm@svn.gnome.org>

	* vapigen/valagidlparser.vala:

	Added 'type_name' metadata to function to override its return type.

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata

	Changed gtk_selection_data_get_text to return a string, fixes bug
	540663.

	* vapi/gtk+-2.0.vapi:

	Regenerated.

2008-07-17  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valasignal.vala:

	Fixed error in handling formal parameters of signals, fixes bug
	542293.

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodetypesymbolbinding.vala:

	Support int64 and uint64 properties in GObjects,
	patch by Christian Hergert, fixes bug 543055

2008-07-17  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:

	Fix support for static and class fields in interface writer,
	based on patch by Daniel Lucraft, fixes bug 542879

2008-07-13  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/:

	Fix gdk_spawn_on_screen binding

	* vapi/gdk-2.0.vapi: regenerated

2008-07-12  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodememberaccessbinding.vala:

	Fix access to private struct fields, fixed bug 542032.

	* tests/structs.vala:
	* tests/structs.exp:

	Added test cases for private struct fields.

2008-07-12  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodemethodbinding.vala:

	Remove recent introduced gcc warnings related to abstract interface
	methods

2008-07-11  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbol.vala:

	Don't transform non-lowercase names to CamelCase

2008-07-11  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodemethodbinding.vala:
	* vala/valamethod.vala:

	Generate a type_real_name function also for abstract methods to warn
	from buggy subclasses which fail to implement the abstract methods,
	based on patch by Jared Moore, fixes bug 531195

2008-07-11  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Various fixes, based on patch by Jorn Baayen

	* vapi/gtk+-2.0.vapi: regenerated

2008-07-10  Raffaele Sandrini  <raffaele@sandrini.ch>

	* ccode/valaccodedeclaration.vala:
	* ccode/valaccodemodifiers.vala:
	* gobject/valatyperegisterfunction.vala:

	Revert commit revision 1691 due bad regressions, reopens bug
	540705

2008-07-10  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix g_timeout_add_full, g_idle_add_full, and g_child_watch_add_full
	bindings

2008-07-10  Jared Moore  <jaredm@svn.gnome.org>

	* ccode/valaccodedeclaration.vala:
	* ccode/valaccodemodifiers.vala:

	Added support for 'volatile' modifier in C code.

	* gobject/valatyperegisterfunction.vala:

	Make *_get_type functions thread safe, fixes bug 540705.

2008-07-10  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegenerator.vala:
	* vala/valaproperty.vala:

	Change GObject properties to always notify on value change, remove the
	[Notify] attribute and add a boolean CCode attribute parameter named
	`notify', based on patch by Jared Moore, fixes bug 540700

	* tests/classes-properties.vala: update

2008-07-98  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodecompiler.vala:

	Apply shell quoting to -X flag arguments, fixes bug 542183.

2008-07-09  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodemethodbinding.vala:
	* vala/valacreationmethod.vala:
	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:

	Add support for creation methods with a different (mostly super) type
	than the type of the object it creates. Add a `type' parameter to the
	CCode attribute which will be used to get the casts right for such
	creation methods.

	* vapi/gio-2.0.vapi:
	* vapi/gtk+-2.0.vapi:

	Regenerated, fixes bug 540661

2008-07-08  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:
	* vapigen/valagidlparser.vala:

	Allow vapi metadata to declare abstract methods, fix GtkCellRenderer
	methods _get_size and _render to be abstract, based on patch by
	Jared Moore, fixes bug 522355

	* vapi/gtk+-2.0.vapi: Regenerated

2008-07-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Fix partial interface reimplementation when the base class is in
	an external library

2008-07-08  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/glib-2.0.vapi:

	Fix typo, patch by Christian Hergert, fixes bug 542002

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraylengthfield.vala:
	* vala/valaarraymovemethod.vala:
	* vala/valaarrayresizemethod.vala:

	Mark array methods as external

2008-07-07  Raffaele Sandrini  <raffaele@sandrini.ch>

	* compiler/valacompiler.vala:

	Inspect CC environment variable to recognize a C compiler, based on
	patch by Piotr Skamruk, fixes bug 501686

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vala/valaproperty.vala:

	Mark source_reference parameter in creation method as nullable

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vala/valacharacterliteral.vala:
	* vala/valaparser.vala:

	Fix error message when encountering invalid character literals,
	fixes bug 541452

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add string.length property and bool.to_string method,
	fixes bug 527777

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	* vala/valasourcefile.vala:
	* vala/valasymbol.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsourcefile.vala:

	Support methods and property accessors with body in VAPI files

2008-07-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Allow non-external methods in VAPI files

2008-07-05  Jürg Billeter  <j@bitron.ch>

	* vala/valaattributeprocessor.vala:
	* vala/valaparser.vala:
	* vala/valapropertyaccessor.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Add support for [CCode (cname = "foo")] to property accessors,
	based on patch by Jared Moore

2008-07-05  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valasemanticanalyzer.vala:

	Prevent "main" method from throwing errors, fixes bug 538248.

2008-07-05  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valaparser.vala:

	Add workaround for exception codegen problem, fixes bug 535247.

2008-07-05  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/unique-1.0.deps:
	* vapi/unique-1.0.vapi:
	* vapi/packages/unique-1.0/:

	Add unique-1.0 bindings, patch by Phil Housley, fixes bug 540821

2008-07-03  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/scanner.c: (g_igenerator_add_symbol):

	Fix crash when checking header filename

2008-07-03  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/scanner.c: (g_igenerator_add_symbol):

	Only drop duplicates of the same namespace

2008-07-02  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsourcefile.vala:

	Don't perform pointer arithmetic on void pointers,
	patch by Tai Chi Minh Ralph Eastwood

2008-07-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/:

	Nullable fixes, patch by Frederik

	* vapi/gio-2.0.vapi: regenerated

2008-07-01  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add MIN, MAX, and GParamSpec* bindings

2008-07-01  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrorcode.vala:
	* vala/valaparser.vala:

	Set source_reference for error codes

2008-07-01  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/gtk+-2.0.vapi: Regenerated to make consistent with recent
	changes to vapi/gdk-2.0.vapi

2008-06-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:
	* vapi/packages/gio-2.0/:

	Fix g_pattern_match and g_content_type_guess bindings,
	patch by Phil Housley

	* vapi/gio-2.0.vapi: regenerated

2008-06-30  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodetypesymbolbinding.vala:

	Add support for uchar GObject properties, patch by Ali Sabil

2008-06-30  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Added Glib.Intl.bind_textdomain_codeset, set return types and
	parameters of Glib.Intl.* to nullable as appropriate.

2008-06-30  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:

	Changed many classes to structs, fixes bug 540349. Also fix fields
	that should be arrays of structs, and hide several "Gdk*Class"
	structs.

	* vapi/gdk-2.0.vapi: Regenerated

2008-06-30  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valasemanticanalyzer.vala:

	Report error when an abstract method has a body, an extern method has
	a body, or a non-abstract non-extern method has no body, fixes bug 
	539692.

2008-06-29  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/:

	Various fixes, patch by Ali Sabil

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-06-29  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gio-2.0/gio-2.0.metadata:

	Let 'destroy' arguments of g_memory_input_stream_add_data and 
	g_memory_input_stream_new_from_data be nullable, fixes bug 540662.

	* vapi/gio-2.0.vapi: Regenerated

2008-06-29  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Add workaround for exception codegen problem, fixes bug 539608.

2008-06-29  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	Fixed return type of gtk_selection_data_get_pixbuf and
	gtk_selection_data_copy.

	* vapi/gtk+-2.0.vapi: Regenerated

2008-06-29  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	Fixed return type of gtk_selection_data_get_uris, fixes bug 540664.

	* vapi/gtk+-2.0.vapi: Regenerated

2008-06-27  Jared Moore  <jaredm@gmx.com>

	* vapi/packages/gio-2.0/gio-2.0.metadata:

	Set return types as nullable for g_file_get_basename,
	g_file_get_parent, g_file_get_path, and g_file_get_relative_path,
	fixes bug 540335.

	* vapi/gio-2.0.vapi: Regenerated

2008-06-26  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-06-26  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.3.4 release

2008-06-26  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/:

	Fix g_file_enumerator_next_file* bindings

	* vapi/gio-2.0.vapi: regenerated

2008-06-26  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:

	Allow null for rect parameter in gdk_window_invalidate_rect, fixes bug
	540311.

	* vapi/gdk-2.0.vapi: Regenerated

2008-06-26  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	Changed gtk_paint_arrow_* family to have nullable area, widget, and 
	detail parameters, fixes bug 540237.

	* vapi/gtk+-2.0.vapi: Regenerated

2008-06-26  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Allow null for group parameter in GLib.OptionContext.get_help, fixes
	bug 540238.

2008-06-26  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valaparser.vala:

	Add workaround for exception codegen problem, fixes bug 539608.

2008-06-25  Jared Moore  <jaredm@svn.gnome.org>

	* vapi/glib-2.0.vapi:

	Fix formal parameters of Sequence.get_iter_at_pos(), fixes bug 539976.

2008-06-25  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	More gst_tag_list_* binding fixes, patch by Zeeshan Ali Khattak,
	fixes bug 539817

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-25  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Support `in' operator for Gee.Collection and Gee.Map,
	patch by Jamie McCracken

2008-06-23  Jared Moore  <jaredm@svn.gnome.org>

	* vala/valasemanticanalyzer.vala:

	Report error when trying to access 'class' member statically rather
	than through an instance, fixes bug 539594.

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Fix support for out string array parameters of methods exported
	via D-Bus

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:

	Fix exception handling in destructors, fixes bug 538216

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/libgsf-1.deps:
	* vapi/libgsf-1.vapi:
	* vapi/packages/libgsf-1/:

	Add libgsf-1 bindings, patch by Michael Lawrence, fixes bug 455141

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala:

	Support disconnecting from detailed signals

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala:
	* vala/valaelementaccess.vala:
	* vala/valanullchecker.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasignal.vala:
	* vala/valasymbolresolver.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:

	Support connecting to and emitting detailed signals,
	fixes bug 536794

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaattribute.vala:
	* vala/valafield.vala:
	* vala/valainterfacewriter.vala:
	* vala/valanamedargument.vala:
	* vala/valastringliteral.vala:
	* gobject/valaccodegenerator.vala:
	* vapigen/valagidlparser.vala:

	Support [CCode (type = "Foo")] to insert appropriate casts in
	generated C Code

	* vapi/packages/gtk+-2.0/:

	Fix GtkActionEntry binding, fixes bug 526874

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* vala/valagenieparser.vala:
	* vala/valanamespacereference.vala:
	* vala/valasourcefile.vala:
	* compiler/valacompiler.vala:

	Import members of the GLib namespace by default, fixes bug 539596

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicpropertybinding.vala:

	Support dynamic D-Bus properties

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodedynamicsignalbinding.vala:

	Use CamelCase for dynamic D-Bus methods and signals

2008-06-23  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/packages/gdk-2.0/gdk-2.0.metadata:
	Fix gdk_pixbuf_from_drawable and gdk_pixbuf_from_image bindings
	Fixes bug #539632
	* vapi/gdk-2.0.vapi: Regenerated

2008-06-23  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valageniescanner.vala:

	Allow arbitrary whitespace/tabs at start of line when its a line
	continuation

2008-06-23  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	make parens optional when using new operator on objects

2008-06-23  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodeclassbinding.vala:

	Support inherited interface implementation, fixes bug 536863

2008-06-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodedynamicsignalbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Improve support for arrays as paramters and return values of
	methods and signals exported over D-Bus, fixes part of bug 539357

2008-06-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Use CamelCase for properties exported to D-Bus

2008-06-22  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:

	Fix pointer member access to value types, fixes bug 539337

2008-06-22  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/packages/gio-2.0/gio-2.0.metadata:
	g_app_info_launch_default_for_uri.launch_context is nullable.
	Fixes bug #539618
	* vapi/gio-2.0.vapi: Regenerated

2008-06-22  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Use G_TYPE_INT as type_id for int32

2008-06-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix GstStaticCaps and GstStaticPadTemplate bindings,
	fixes bug 539283

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-21  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix using static methods as delegates, fixes bug 539277

2008-06-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_*_parse_* bindings, patch by Zeeshan Ali Khattak,
	fixes bug 539177

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-21  Jared Moore  <jaredm@svn.gnome.org>

	* gobject/valaccodeclassbinding.vala:

	Initialize class fields in class init function

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Fix class field access, fixes bug 530039

	* tests/classes-fields.exp:
	* tests/classes-fields.vala

	Test class field access

2008-06-21  Jürg Billeter  <j@bitron.ch>

	* vala/valascanner.vala:

	Remove unused field

2008-06-20  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Support 'cheader_filename' attribute for constants and
	errordomains, based on patch by Michael Lawrence, fixes bug 533634

2008-06-20  Zeeshan Ali Khattak  <zeenix@gmail.com>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:

	Correct the bindings for gst_tag_list_get_*(), fixes bug 538926

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-20  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/loudmouth-1.0.vapi:
	* vapi/packages/loudmouth-1.0/:

	Add loudmouth-1.0 bindings, patch by Ali Sabil

2008-06-20  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsignal.vala:

	Fix ref and out signal parameters

2008-06-18  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix g_source_attach binding

2008-06-18  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/poppler-glib/:

	Fix poppler_document_new_from_file binding

	* vapi/poppler-glib.vapi: regenerated

2008-06-18  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:

	Fix GtkMenuShell.children and gtk_menu_shell_append bindings

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-18  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/gio-2.0.metadata:

	Various GFile binding fixes

	* vapi/gio-2.0.vapi: regenerated

2008-06-18  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:
	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:
	Fix Gst.object.ref, unref and sink bindings
	Fixes bug #536307	

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_bin_add binding, fixes bug 538845

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Allow transformation of implicit array parameters to out or ref
	parameters

2008-06-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Support duplicating errors

2008-06-17  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbol.vala:
	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Use CamelCase for methods and signals exported to D-Bus,
	fixes bug 538818

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Constant arrays don't own their elements

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Add support for overriding default method handlers of signals
	that have been declared with the `virtual' modifier

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Don't generate default creation method for abstract classes

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Report error when using invalid modifiers for methods and fields,

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:
		
	set equal func for list automatically based on type
	
2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vapi/gdk-2.0.deps:
	* vapi/gstreamer-audio-0.10.deps:
	* vapi/gstreamer-base-0.10.deps:
	* vapi/gstreamer-check-0.10.deps:
	* vapi/gstreamer-controller-0.10.deps:
	* vapi/gstreamer-dataprotocol-0.10.deps:
	* vapi/gstreamer-fft-0.10.deps:
	* vapi/gstreamer-interfaces-0.10.deps:
	* vapi/gstreamer-net-0.10.deps:
	* vapi/gstreamer-netbuffer-0.10.deps:
	* vapi/gstreamer-pbutils-0.10.deps:
	* vapi/gstreamer-riff-0.10.deps:
	* vapi/gstreamer-rtp-0.10.deps:
	* vapi/gstreamer-rtsp-0.10.deps:
	* vapi/gstreamer-sdp-0.10.deps:
	* vapi/gstreamer-tag-0.10.deps:
	* vapi/gstreamer-video-0.10.deps:
	* vapi/gtk+-2.0.deps:

	Updated

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add g_queue_clear binding

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Report error when using reference counting for interfaces without
	class prerequisite

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodememberaccessbinding.vala:

	Fix property access for virtual and interface properties

2008-06-16  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:
	gtk_show_uri.screen is nullable. fixes bug #538512

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-16  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:
	* vala/valageniescanner.vala:
	* vala/valagenietokentype.vala:
		
	added built in list and dict (HashMap) support with automatic type
	dependent hash and equal functions

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Free local variables when throwing error, fixes bug 538520

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/sdl-net.vapi:

	Add SDL_net bindings, patch by Levi Bard, fixes bug 536623

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi:

	Fix uri functions, patch by Michael Lawrence, fixes bug 538384

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Free error variable in catch clauses, fixes bug 538331

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrortype.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Fix memory management of error types, fixes bug 537951

2008-06-16  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_message_parse_* bindings

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_element_factory_make binding,
	based on patch by Thijs Vermeir

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala:

	Support emitting signals with return values,
	patch by Samuel Cormier-Iijima, fixes bug 537323

	* tests/classes-signals.exp:
	* tests/classes-signals.vala:

	Test signals with return values

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vala/valascanner.vala:

	Fix line number calculation for verbatim strings, fixes bug 537123

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix GtkWidget event signal parameters,
	patch by Andrea Del Signore, fixes bug 537092

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vapi/taglib_c.vapi:

	Use [Compact] attribute, patch by Levi Bard, fixes bug 536987

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am
	* vapi/gdk-pixbuf-2.0.deps:
	* vapi/packages/atk/:
	* vapi/packages/gdk-2.0/:
	* vapi/packages/gdk-pixbuf-2.0/:
	* vapi/packages/gio-2.0/:
	* vapi/packages/gio-unix-2.0/:
	* vapi/packages/gtk+-2.0/:
	* vapi/packages/pango/:
	* vapi/packages/pangocairo/:

	Update to GTK+ 2.13.3, fixes bug 536369

	* vapi/atk.vapi:
	* vapi/gdk-2.0.vapi:
	* vapi/gdk-pixbuf-2.0.vapi:
	* vapi/gio-2.0.vapi:
	* vapi/gio-unix-2.0.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/pango.vapi:
	* vapi/pangocairo.vapi:

	Regenerated

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodecreationmethodbinding.vala:

	Report error when trying to assign private properties in creation
	methods, patch by Hans Vercammen, fixes bug 536353

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodetypesymbolbinding.vala:

	Fix crash when using signals with array parameters,
	fixes bug 538212

2008-06-15  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/vte/:

	Fix vte_terminal_fork_command binding

	* vapi/vte.vapi: regenerated

2008-06-14  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-rtsp-0.10/:

	Various fixes, patch by Ali Sabil

	* vapi/gstreamer-rtsp-0.10.vapi: regenerated

2008-06-14  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_label_new binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-14  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	fixed attribute parsing 

2008-06-13  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Check printf arguments, fixes bug 483104

	* vala/valainterfacewriter.vala:
	* tests/test-034.vala:

	Fix printf arguments

2008-06-13  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Support object creation expressions for simple types

2008-06-13  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Use G_TYPE_UINT as type_id for unichar

2008-06-13  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala:

	Implement is_subtype_of method so that structs are considered
	compatible to the specified base type

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* vala/valatypeparametertype.vala:

	Use G_TYPE_POINTER as type_id for type parameters

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:

	Use `const' in C for immutable classes where appropriate

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:

	Support Immutable class attribute

	* vapi/packages/gstreamer-0.10/:

	Mark GstStructure as Immutable as reference-type semantics are not
	desirable

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Use GPtrArray in D-Bus client methods for boxed types

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Fix application crash when a D-Bus client method raises an error

2008-06-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Fix gcc warning for D-Bus client methods returning arrays

2008-06-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Support arrays of string arrays in D-Bus client methods

2008-06-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Support array parameters in D-Bus client methods

2008-06-10  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:

	Output type_id for structs

2008-06-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Fix crash when using unsupported D-Bus arrays

2008-06-05  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_message_parse_error binding

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-04  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodegenerator.vala:

	Fix error reporting when duplicating non-reference counted objects,
	fixes bug 535849

2008-06-04  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Support 'cheader_filename' attribute for fields and methods,
	fixes bug 533634

2008-06-04  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaccodetypesymbolbinding.vala:
	* gobject/valaclassregisterfunction.vala:

	Respect custom type_id

	* vapi/glib-2.0.vapi:

	Fix GTypeModule binding

2008-06-04  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.3.3 release

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add byte order and number format constants, patch by Ali Sabil

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Nullable fixes, patch by Nicolas Joseph, fixes bug 536478

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* doc/vala/delegates.xml:

	Document delegate syntax, based on patch by Phil Housley

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* doc/vala/classes.xml:

	Document signal syntax, based on patch by Phil Housley

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* doc/vala/classes.xml:

	Document property syntax, based on patch by Phil Housley

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* doc/vala/enums.xml:

	Document enum syntax, based on patch by Phil Housley

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* doc/vala/methods.xml:

	Document method syntax, based on patch by Phil Housley

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-base-0.10/:

	Fix gst_adapter_take_buffer and gst_collect_pads_take_buffer
	bindings, add gst_base_sink_wait_clock binding, patch by Ali Sabil

	* vapi/gstreamer-base-0.10.vapi: regenerated

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Various fixes, patch by Phil Housley

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/tiff.vapi: various fixes, patch by Christian Meyer

2008-06-03  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am: distribute and install libepc-1.0.vapi

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Fix invalid C code when using deprecated static classes

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_bus_add_watch_full binding

	* vapi/gstreamer-0.10.vapi: regenerated

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodemethodbinding.vala:

	Add basic support for owned delegates, fixes bug 533484

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/gmodule-2.0.vapi:
	* vapi/sdl-gfx.vapi:
	* vapi/sdl-mixer.vapi:
	* vapi/sdl-ttf.vapi:
	* vapi/sdl.vapi:

	Use [Compact] attribute, patch by Phil Housley

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Fix g_hash_table_foreach binding

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* .bzrignore: add .bzrignore for bzr-svn,
	patch by Jaap A. Haitsma, fixes bug 535451

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Ensure that classes implement abstract properties of interfaces
	and abstract base classes, fixes bug 535270

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/:

	Fix gdk_event_get_* bindings, fixes bug 533933

	* vapi/gdk-2.0.vapi: regenerated

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/libepc-1.0.vapi:
	* vapi/packages/libepc-1.0/:

	Add libepc-1.0 bindings, patch by Ali Sabil, fixes bug 533113

2008-06-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/:

	Fix g_file_enumerator_next_files_finish binding, fixes bug 524904

	* vapi/gio-2.0.vapi: regenerated

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Fix derived generic classes, fixes bug 524426

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libgnome-menu/:

	Fix gmenu_tree_directory_get_contents binding, fixes bug 522745

	* vapi/libgnome-menu.vapi: regenerated

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix foreach when used with methods returning arrays

2008-06-01  Jaap A. Haitsma  <jaap@haitsma.org>

	* vala/valasemanticanalyzer.vala:
	Small change to make code a bit clearer. Fixes bug #535942

2008-06-01  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/gstreamer-0.10.vapi:
	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata:
	Gst.structure.get_value should return Gst.value. Fixes bug #535965

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/:

	Fix gdk_window_get_geometry binding,
	patch by Thijs Vermeir, fixes bug 536062

	* vapi/gdk-2.0.vapi: regenerated

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegate.vala:
	* vala/valasemanticanalyzer.vala:

	Improve error message for incompatible signal handlers,
	fixes bug 535953

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix GtkTreeView bindings, patch by Daniel Svensson

	* vapi/gtk+-2.0.vapi: regenerated

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report error when trying to use unowned element variable in
	foreach statement using iterators

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala:

	Fix memory management when using owned variables as argument
	for unowned reference and output parameters

	* tests/classes-methods.vala:

	Test owned and unowned variables as argument for reference and
	output parameters

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report error when trying to use unowned variables as argument
	for owned reference and output parameters

2008-06-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report internal error for missing type argument

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* vapigen/valavapigen.vala:

	Fix handling of ref array arguments

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* vala/valasymbolresolver.vala:
	* vala/valaunaryexpression.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* compiler/valacompiler.vala:

	Fix memory management for ref and out arguments

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala:

	Don't complain about incompatible signal handlers when using
	signals in generic types

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_value_get_buffer and gst_value_get_structure bindings,
	patch by Ali Sabil

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala:
	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Add support for structs in D-Bus service and client methods,
	fixes bug 534548 and bug 534549

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_value_list_get_value binding

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: hide gtk_menu_item_select and
	gtk_menu_item_deselect, already available in base class

	* vapi/gtk+-2.0.vapi: regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:
	* vapi/packages/gtksourceview-2.0/:

	Nullable and `out' fixes,
	based on patch by Nicolas Joseph, fixes bug 535618

	* vapi/gtk+-2.0.vapi:
	* vapi/gtksourceview-2.0.vapi:

	Regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi:

	Convert to instance_pos attribute syntax,
	patch by Nicolas Joseph, fixes bug 535617

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtksourceview-2.0/:

	Nullable fixes, patch by Nicolas Joseph, fixes bug 535616

	* vapi/gtksourceview-2.0.vapi: regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valainterface.vala:

	Emit nested enums before structs,
	based on patch by Jaap A. Haitsma, fixes bug 530063

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valasignal.vala:

	Allow non-null sender parameter in signal handlers

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Fix ownership for constant arrays of structs, fixes bug 535560

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix delegates with array parameters, fixes bug 519928

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix gst_structure_get_value binding, fixes bug 530817

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:

	Support nullable return types

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix memory leak when boxing unowned values

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Free boxed value when unboxing

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicsignalbinding.vala:

	Fix dynamic signals for D-Bus objects

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicpropertybinding.vala:
	* gobject/valaccodedynamicsignalbinding.vala:

	Support dynamic properties and signals also for GObject subtypes

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix copying nullable structs

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodeunaryexpression.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:

	Improvements to nullable struct support

2008-05-31  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Add basic support for nullable structs

	* tests/structs.vala:

	Test nullable struct parameters

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala: remove obsolete code

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_value_copy and g_value_transform
	bindings, fixes bug 523767

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vala/valaobjecttype.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasignal.vala:

	Check return type and parameters of signal handlers

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala:

	Use lazy initialization for type_argument_list in DataType class
	to improve performance

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vala/valadynamicmethod.vala:
	* vala/valadynamicproperty.vala:
	* vala/valasymbol.vala:
	* gobject/valaccodedynamicpropertybinding.vala:

	Add support for dynamic properties of GObjects

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicsignalbinding.vala:

	Add support for dynamic signals of GObjects

2008-05-30  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/packages/gstreamer-0.10/: fix Gst.Pad.push_event
	ownership transfer

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-30  Jürg Billeter  <j@bitron.ch>

	* vala/valacodenode.vala:

	Use lazy initialization for error_types list in CodeNode class
	to improve performance

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valablock.vala:
	* vala/valaclass.vala:
	* vala/valacodecontext.vala:
	* vala/valacodenode.vala:
	* vala/valadatatype.vala:
	* vala/valadelegatetype.vala:
	* vala/valadynamicmethod.vala:
	* vala/valadynamicproperty.vala:
	* vala/valaenum.vala:
	* vala/valaerrordomain.vala:
	* vala/valaforstatement.vala:
	* vala/valainitializerlist.vala:
	* vala/valainterface.vala:
	* vala/valainterfacewriter.vala:
	* vala/valainvocationexpression.vala:
	* vala/valalambdaexpression.vala:
	* vala/valamember.vala:
	* vala/valamemberaccess.vala:
	* vala/valamethod.vala:
	* vala/valamethodtype.vala:
	* vala/valanamespace.vala:
	* vala/valaobjectcreationexpression.vala:
	* vala/valaobjecttypesymbol.vala:
	* vala/valapointertype.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasignaltype.vala:
	* vala/valasourcefile.vala:
	* vala/valastruct.vala:
	* vala/valaswitchsection.vala:
	* vala/valaswitchstatement.vala:
	* vala/valasymbol.vala:
	* vala/valasymbolresolver.vala:
	* vala/valatypesymbol.vala:
	* ccode/valaccodecommaexpression.vala:
	* ccode/valaccodefragment.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valagidlwriter.vala:

	Use Gee.List instead of Gee.Collection to improve iteration
	performance

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Don't use iterator objects for lists to improve performance

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valasourcefile.vala:
	* vala/valasourcereference.vala:
	* compiler/valacompiler.vala:

	Use verbose error messages by default, display relative filenames
	in error messages, fixes bug 535480

2008-05-29  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/packages/gstreamer-0.10/: fix Gst.Pad.push
	ownership transfer

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-29  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/packages/gstreamer-0.10/: fix Gst.Element.add_pad
	ownership transfer

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-29  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/packages/gstreamer-video-0.10/: fixed VideoCaps.YUV
	to return a weak string

	* vapi/gstreamer-video-0.10.vapi: regenerated

2008-05-29  Ali Sabil  <ali.sabil@gmail.com>

	* vapi/packages/gstreamer-base-0.10/: hide private fields from
	GstAdapter, and specify the type argument for GstCollectPads.data

	* vapi/gstreamer-base-0.10.vapi: regenerated

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:

	Output cheader filenames for namespace fields and constants

	* vapi/gdk-2.0.vapi:
	* vapi/gdk-pixbuf-2.0.vapi:
	* vapi/gio-2.0.vapi:
	* vapi/gio-unix-2.0.vapi:
	* vapi/gnet-2.0.vapi:
	* vapi/gnome-desktop-2.0.vapi:
	* vapi/gnome-keyring-1.vapi:
	* vapi/gnome-vfs-2.0.vapi:
	* vapi/goocanvas.vapi:
	* vapi/gstreamer-0.10.vapi:
	* vapi/gstreamer-audio-0.10.vapi:
	* vapi/gstreamer-dataprotocol-0.10.vapi:
	* vapi/gstreamer-net-0.10.vapi:
	* vapi/gstreamer-riff-0.10.vapi:
	* vapi/gstreamer-rtp-0.10.vapi:
	* vapi/gstreamer-rtsp-0.10.vapi:
	* vapi/gstreamer-sdp-0.10.vapi:
	* vapi/gstreamer-tag-0.10.vapi:
	* vapi/gstreamer-video-0.10.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/hildon-1.vapi:
	* vapi/json-glib-1.0.vapi:
	* vapi/libglade-2.0.vapi:
	* vapi/libgnome-2.0.vapi:
	* vapi/libgnomeui-2.0.vapi:
	* vapi/libnotify.vapi:
	* vapi/libsoup-2.2.vapi:
	* vapi/libsoup-2.4.vapi:
	* vapi/pango.vapi:
	* vapi/poppler-glib.vapi:

	Regenerated

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valainterface.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaccodemethodbinding.vala:

	Add support for non-GObject classes with generic type parameters

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Support `hidden' attribute for boxed types and `type_arguments'
	attribute for fields and properties, patch by Ali Sabil

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valainterface.vala:

	Fix reference counting for non-GObject interfaces

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valaclassregisterfunction.vala:

	Simplify generated _new functions for non-GObject classes

2008-05-29  Jaap A. Haitsma  <jaap@haitsma.org>

	* tests/strings.vala:
	Add some more tests. Fixes bug #535430

2008-05-29  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/gstreamer-0.10.vapi:
	* vapi/packages/gstreamer-0.10/gstreamer-0.10-custom.vala:
	Fix Gst.init () binding. Fixes bug #535411

2008-05-29  Jaap A. Haitsma  <jaap@haitsma.org>

	* tests/testrunner.sh:
	Print errors on stdout. Fixes #535417

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* tests/arrays.vala:

	Test compilation of constant string arrays

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Constant arrays don't own their elements, fixes bug 535415

2008-05-29  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenietokentype.vala:
	* vala/valageniescanner.vala:
	* vala/valagenieparser.vala:
	
	Revamped array syntax


2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:

	Mark signals as virtual to make it possible to override default
	method handlers

	* vapi/atk.vapi:
	* vapi/gconf-2.0.vapi:
	* vapi/gdk-2.0.vapi:
	* vapi/gdk-pixbuf-2.0.vapi:
	* vapi/gio-2.0.vapi:
	* vapi/gio-unix-2.0.vapi:
	* vapi/gnome-desktop-2.0.vapi:
	* vapi/gnome-vfs-2.0.vapi:
	* vapi/goocanvas.vapi:
	* vapi/gstreamer-0.10.vapi:
	* vapi/gstreamer-base-0.10.vapi:
	* vapi/gstreamer-interfaces-0.10.vapi:
	* vapi/gstreamer-rtsp-0.10.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/gtksourceview-2.0.vapi:
	* vapi/hildon-1.vapi:
	* vapi/hildon-fm-2.vapi:
	* vapi/json-glib-1.0.vapi:
	* vapi/libgnomeui-2.0.vapi:
	* vapi/libnotify.vapi:
	* vapi/liboobs-1.vapi:
	* vapi/libsexy.vapi:
	* vapi/libsoup-2.2.vapi:
	* vapi/libsoup-2.4.vapi:
	* vapi/libwnck-1.0.vapi:
	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata:
	* vapi/vte.vapi:
	* vapi/webkit-1.0.vapi:

	Regenerated

2008-05-29  Jürg Billeter  <j@bitron.ch>

	* vala/valamethod.vala:
	* vala/valaparser.vala:
	* vala/valasignal.vala:

	Add support for overriding default method handlers of signals
	that have been declared with the `virtual' modifier

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala:

	Mark non-GObject classes as compact, fix metadata patterns,
	fixes bug 535206

	* vapi/cairo.vapi:

	Use [Compact] attribute

	* vapi/packages/gstreamer-audio-0.10/:
	* vapi/packages/gstreamer-check-0.10/:
	* vapi/packages/gstreamer-controller-0.10/:
	* vapi/packages/gstreamer-dataprotocol-0.10/:
	* vapi/packages/gstreamer-fft-0.10/:
	* vapi/packages/gstreamer-interfaces-0.10/:
	* vapi/packages/gstreamer-net-0.10/:
	* vapi/packages/gstreamer-netbuffer-0.10/:
	* vapi/packages/gstreamer-pbutils-0.10/:
	* vapi/packages/gstreamer-riff-0.10/:
	* vapi/packages/gstreamer-rtp-0.10/:
	* vapi/packages/gstreamer-rtsp-0.10/:
	* vapi/packages/gstreamer-sdp-0.10/:
	* vapi/packages/gstreamer-tag-0.10/:

	Add missing dependency on gmodule-2.0

	* vapi/atk.vapi:
	* vapi/gconf-2.0.vapi:
	* vapi/gdk-2.0.vapi:
	* vapi/gdk-pixbuf-2.0.vapi:
	* vapi/gio-2.0.vapi:
	* vapi/gio-unix-2.0.vapi:
	* vapi/gnet-2.0.vapi:
	* vapi/gnome-desktop-2.0.vapi:
	* vapi/gnome-keyring-1.vapi:
	* vapi/gnome-vfs-2.0.vapi:
	* vapi/goocanvas.vapi:
	* vapi/gstreamer-0.10.vapi:
	* vapi/gstreamer-audio-0.10.vapi:
	* vapi/gstreamer-base-0.10.vapi:
	* vapi/gstreamer-check-0.10.vapi:
	* vapi/gstreamer-controller-0.10.vapi:
	* vapi/gstreamer-dataprotocol-0.10.vapi:
	* vapi/gstreamer-fft-0.10.vapi:
	* vapi/gstreamer-interfaces-0.10.vapi:
	* vapi/gstreamer-net-0.10.vapi:
	* vapi/gstreamer-netbuffer-0.10.vapi:
	* vapi/gstreamer-pbutils-0.10.vapi:
	* vapi/gstreamer-riff-0.10.vapi:
	* vapi/gstreamer-rtp-0.10.vapi:
	* vapi/gstreamer-rtsp-0.10.vapi:
	* vapi/gstreamer-sdp-0.10.vapi:
	* vapi/gstreamer-video-0.10.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/gtksourceview-2.0.vapi:
	* vapi/hildon-1.vapi:
	* vapi/hildon-fm-2.vapi:
	* vapi/json-glib-1.0.vapi:
	* vapi/libglade-2.0.vapi:
	* vapi/libgnome-2.0.vapi:
	* vapi/libgnome-menu.vapi:
	* vapi/libgnomeui-2.0.vapi:
	* vapi/libnotify.vapi:
	* vapi/liboobs-1.vapi:
	* vapi/libsoup-2.2.vapi:
	* vapi/libsoup-2.4.vapi:
	* vapi/libwnck-1.0.vapi:
	* vapi/pango.vapi:
	* vapi/pangocairo.vapi:
	* vapi/poppler-glib.vapi:
	* vapi/vte.vapi:
	* vapi/webkit-1.0.vapi:

	Regenerated

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi:

	Fix SAX parser bindings, patch by Travis Watkins

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Allow short-hand form to initialize arrays, fixes bug 515407

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Don't generate default creation method for abstract classes,
	patch by Marc-André Lureau, fixes bug 531190

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valanamespace.vala:
	* vala/valaparser.vala:

	Report error when using invalid modifiers for methods and fields,
	based on patch by Jared Moore, fixes bug 534018

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Ensure to not generate empty C structs,
	patch by Jared Moore, fixes bug 533977

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valaconstant.vala:
	* vala/valafield.vala:

	Fix crash when using concatenated strings as constant or field
	initializer, patch by Jared Moore, fixes bug 533723

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valaaddressofexpression.vala:
	* vala/valaarraycreationexpression.vala:
	* vala/valaassignment.vala:
	* vala/valabaseaccess.vala:
	* vala/valabinaryexpression.vala:
	* vala/valabooleanliteral.vala:
	* vala/valacastexpression.vala:
	* vala/valacharacterliteral.vala:
	* vala/valacodevisitor.vala:
	* vala/valaconditionalexpression.vala:
	* vala/valadatatype.vala:
	* vala/valaelementaccess.vala:
	* vala/valaexpression.vala:
	* vala/valaintegerliteral.vala:
	* vala/valaintegertype.vala:
	* vala/valainvocationexpression.vala:
	* vala/valalambdaexpression.vala:
	* vala/valamemberaccess.vala:
	* vala/valanullchecker.vala:
	* vala/valanullliteral.vala:
	* vala/valanulltype.vala:
	* vala/valaobjectcreationexpression.vala:
	* vala/valaparenthesizedexpression.vala:
	* vala/valapointerindirection.vala:
	* vala/valapostfixexpression.vala:
	* vala/valarealliteral.vala:
	* vala/valareferencetransferexpression.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasignal.vala:
	* vala/valasizeofexpression.vala:
	* vala/valastringliteral.vala:
	* vala/valatypecheck.vala:
	* vala/valatypeofexpression.vala:
	* vala/valaunaryexpression.vala:
	* vala/valaunresolvedtype.vala:
	* vala/valavaluetype.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* compiler/valacompiler.vala:

	Move memory management into CCodeGenerator.transform_expression
	as preparation to properly support nullable structs, fixes memory
	leak in internal substring method, fixes bug 527775

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* vala/valasignal.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodedynamicsignalbinding.vala:

	Improve handling of dynamic signal parameters

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valacodecontext.vala:
	* vala/valascope.vala:
	* vala/valasemanticanalyzer.vala:

	Add dynamic symbols to scope instead of code context

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report error when declaring a compact class implementing an
	interface, patch by Phil Housley

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GTypeModule binding

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valaexpression.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Rename Expression.expected_type to Expression.target_type

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vala/valamethod.vala:
	* vala/valaproperty.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valagidlwriter.vala:

	Compute Method.base_method and Property.base_property when needed
	so that we can already use them in the semantic analyzer

2008-05-28  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodecastexpression.vala:

	Use parentheses to ensure that the full expression is cast

2008-05-27  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* vala/valathrowstatement.vala:
	* gobject/valaccodegenerator.vala:

	Fix temporary variable handling for throw statements

2008-05-27  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: 
	
	Improved performance of print statement

2008-05-27  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: 
	* vala/valageniescanner.vala: 
	
	Added optional indent attribute to allow spaces to be used in lieu of tabs for indents

2008-05-27  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: 
	
	Made GLib using directive optional 

2008-05-26  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi (Memory): add atexit () and memory profile
	bindings, fixes bug #530627

2008-05-26  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi (Object): add weak pointer references
	bindings and {freeze,thaw}_notify ()

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: 
	
	Fix initialiser expression in for statement


2008-05-26  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valaclass.vala:
	* vala/valacreationmethod.vala:
	* vala/valadatatype.vala:
	* vala/valadelegate.vala:
	* vala/valaenum.vala:
	* vala/valaerrordomain.vala:
	* vala/valainstancecast.vala:
	* vala/valaintegertype.vala:
	* vala/valainterface.vala:
	* vala/valainterfacewriter.vala:
	* vala/valaobjecttype.vala:
	* vala/valaobjecttypesymbol.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasourcefile.vala:
	* vala/valastruct.vala:
	* vala/valasymbolresolver.vala:
	* vala/valatypeparameter.vala:
	* vala/valatypesymbol.vala:
	* vala/valavaluetype.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valaccodeobjecttypesymbolbinding.vala:
	* gobject/valaccodetypesymbolbinding.vala:
	* gobject/valaclassregisterfunction.vala:
	* gobject/valagidlwriter.vala:
	* gobject/valainterfaceregisterfunction.vala:
	* gobject/valatyperegisterfunction.vala:
	* vapigen/valagidlparser.vala:

	s/Typesymbol/TypeSymbol/

2008-05-26  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi: use [Compact] attribute

2008-05-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala:

	Fix implicit casts for instances in invocation expressions,
	fixes bug 530369

2008-05-26  Jürg Billeter  <j@bitron.ch>

	* vala/valaforeachstatement.vala:
	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:

	Support `var' in foreach statements,
	based on patch by Jamie McCracken

2008-05-26  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valaclass.vala:
	* vala/valainterface.vala:
	* vala/valaobjecttype.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasignal.vala:
	* vala/valasymbolresolver.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valagidlwriter.vala:

	Replace ClassInstanceType and InterfaceInstanceType by ObjectType

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: 
	
	allow init block to be used in context.root namespace where
	its parsed and converted to the "main" function

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: added missing throws ParseError to
	get_for_statement_type method

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala: fix warning with pointer casts

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valagenieparser.vala:

	Deprecate static classes

2008-05-26  Jamie McCracken  <jamiemcc@gnome.org>

	* vala/valgenieparser.vala: replaced foreach with for..in

2008-05-26  Jürg Billeter  <j@bitron.ch>

	* vapi/tiff.vapi: more fixes, patch by Christian Meyer

2008-05-25  Philip Van Hoof  <pvanhoof@gnome.org>

	* vala/valainterface.vala:
	* vala/Makefile.am:
	* vala/valaobjecttypesymbol.vala:
	* vala/valaclass.vala:
	* gobject/valaccodeinterfacebinding.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/Makefile.am:
	* gobject/valaccodeobjecttypesymbolbinding.vala:

	Support interfaces for D-Bus services

2008-05-25  Jaap A. Haitsma  <jaap@haitsma.org>

	* vapi/hal.vapi: use [Compact] attribute for Hal.Context class.
	Fixes bug #534809

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: improve GstValue binding,
	patch by Jaap A. Haitsma, fixes bug 533805

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valapointertype.vala:
	* vala/valasemanticanalyzer.vala:

	Fix type resolving for arrays and pointers when declaring multiple
	variables in a single statement

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix mktime binding

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:

	Fix type string for multi-dimensional arrays

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/tiff.vapi: use [Compact] attribute and fix return types,
	patch by Christian Meyer

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrortype.vala: fix qualified error type string

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valadatatype.vala:
	* vala/valadelegatetype.vala:
	* vala/valafieldprototype.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamethodtype.vala:
	* vala/valapointertype.vala:
	* vala/valaunresolvedtype.vala:
	* vala/valavoidtype.vala:

	Write qualified types in the interface writer

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/dbus-glib-1.vapi: use [Compact] attribute

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* gobject/valaccodegenerator.vala:
	* vapi/glib-2.0.vapi:

	Add support for [Immutable] class attribute, allow duplication of
	immutable instances

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: fix warning with pointer casts

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valamemberaccess.vala:
	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:

	Support qualified access to global symbols within expressions

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: use [Compact] attribute

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report error when declaring virtual methods in compact classes,
	based on patch by Jared Moore, fixes bug 514844

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valainterfacewriter.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valatyperegisterfunction.vala:

	Add support for [Compact] class attribute, register non-compact
	classes with GType, fixes bug 532518

	* gee/hashmap.vala:
	* gee/hashset.vala:
	* gobject-introspection/gidl.vapi:
	* tests/classes.exp:
	* tests/classes.vala:
	* vapi/glib-2.0.vapi:

	Update to use compact classes where appropriate

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	* vala/valascanner.vala:
	* vala/valasymbolresolver.vala:
	* vala/valatokentype.vala:
	* vala/valaunresolvedsymbol.vala:

	Support qualified access to global symbols with `global::'

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vapi/tiff.vapi: various binding fixes, patch by Christian Meyer

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Deprecate static classes, patch by Jared Moore, fixes bug 524509

	* vala/valareport.vala:
	* tests/classes.vala:
	* tests/structs.vala:
	* gobject-introspection/gidl.vapi:
	* vapi/dbus-glib-1.vapi:
	* vapi/glib-2.0.vapi:
	* vapi/libxml-2.0.vapi:
	* vapi/taglib_c.vapi:
	* vapi/packages/gstreamer-video-0.10/:

	Replace static classes by namespaces

	* vapi/gstreamer-video-0.10.vapi: regenerated

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Support destructors for non-GObject classes,
	patch by Jared Moore, fixes bug 522135

	* tests/classes.exp:
	* tests/classes.vala:

	Test destructors for non-GObject classes

2008-05-25  Jürg Billeter  <j@bitron.ch>

	* vala/valacodenode.vala:
	* vala/valacreationmethod.vala:
	* vala/valaexpression.vala:
	* vala/valagenieparser.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamethod.vala:
	* vala/valanamespace.vala:
	* vala/valaparser.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasourcefile.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* vapigen/valagidlparser.vala:
	* vapigen/valavapigen.vala:

	Track error types that expressions can throw,
	based on patch by Jared Moore, fixes bug 482999

2008-05-24  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala:

	Use signal handler wrappers for dynamic signals,
	patch by Yu Feng, fixes bug 532290

2008-05-24  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicsignalbinding.vala:

	Add get_dynamic_cname method to CCodeDynamicSignalBinding class,
	based on patch by Yu Feng

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:
	* gobject/valaccodegenerator.vala: 

	Use GStaticRecMutex for lock statements,
	patch by Philip Van Hoof, fixes bug 532329

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_window_get_default_size binding,
	patch by Phil Housley

	* vapi/gtk+-2.0.vapi: regenerated

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-video-0.10/:

	Add bindings for constants, fix parameter direction for the
	gst_format_* functions, patch by Ali Sabil

	* vapi/gstreamer-video-0.10.vapi: regenerated

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-base-0.10/:

	Fix the newsegment virtual method in GstBaseSrc, move the
	GST_BASE_TRANSFORM_* constants to the GstBaseTransform class,
	fix weak fields in GstBase*, and hide the abidata fields,
	patch by Ali Sabil

	* vapi/gstreamer-base-0.10.vapi: regenerated

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Improve the GstBuffer binding, base class fixes in metadata,
	patch by Ali Sabil, fixes bug 510693 and bug 533011

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Support [DBus (visible = false)] for methods, properties, and
	signals, based on patch by Ali Sabil, fixes bug 532254

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/dbus-glib-1.vapi: add DBus.ObjectPath class

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/sdl.vapi: fix syntax errors

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* THANKS: thank contributors

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GLogFunc and g_log_set_handler bindings,
	patch by Nicolas Joseph, fixes bug 533601

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-keyring-1/: nullable fixes,
	patch by Andrea Del Signore, fixes bug 533278

	* vapi/gnome-keyring-1.vapi: regenerated

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix private class fields, patch by Jared Moore, fixes bug 532898

	* tests/classes-fields.vala:

	Test class fields

2008-05-23  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Allow invocation of void methods as initializer and iterator in
	for statements, patch by Jared Moore, fixes bug 514801

	* tests/Makefile.am:
	* tests/statements-iteration.exp:
	* tests/statements-iteration.vala:

	Test void methods in for statements

2008-05-22  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/tiff.vapi:

	Add libtiff bindings, patch by Christian Meyer

2008-05-20  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	* vala/valascanner.vala:
	* vala/valatokentype.vala:

	Add support for """verbatim strings"""

2008-05-20  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicmethodbinding.vala:

	Fix D-Bus method calls returning arrays, fixes bug 529351

2008-05-19  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valagenieparser.vala:
	* vala/valageniescanner.vala:
	* vala/valagenietokentype.vala:
	* vala/valaparser.vala:
	* vala/valasourcefile.vala:
	* compiler/valacompiler.vala:

	Add parser for Genie, patch by Jamie McCracken

2008-05-18  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Use g_free as default free function for nullable value types

2008-05-18  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala:
	* vala/valapointertype.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:

	Don't report value ownership errors for non-disposable types

2008-05-18  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valacodegenerator.vala:
	* vala/valadynamicproperty.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/Makefile.am:
	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodedynamicpropertybinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Add support for dynamic properties

2008-05-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix typo in GSpawnFlags binding,
	fixes bug 533046

2008-05-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add clamp method to all integer and floating
	point types

2008-05-17  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valaclass.vala:
	* vala/valaparser.vala:
	* vala/valapointertype.vala:
	* vala/valasymbolresolver.vala:
	* vala/valaunresolvedtype.vala:
	* vapigen/valagidlparser.vala:

	Don't use UnresolvedType for array and pointer types, add basic
	support for arrays of arrays

2008-05-17  Ali Sabil  <ali.sabil@gmail.com>

	* vapigen/valagidlparser.vala: Automatically hide fields
	starting with _

2008-05-17  Ali Sabil  <ali.sabil@gmail.com>

	* vapigen/valagidlparser.vala: Add class method detection

2008-05-16  Jürg Billeter  <j@bitron.ch>

	* vala/valaconstant.vala:
	* vala/valainterfacewriter.vala:
	* vapigen/valagidlparser.vala:

	Allow hiding constants in the metadata file for vapigen,
	based on patch by Ali Sabil

2008-05-16  Ali Sabil  <ali.sabil@gmail.com>

	* vala/valainterfacewriter.vala: Add support for class
	methods in the interface writer

2008-05-16  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valaclass.vala:
	* vala/valaclassinstancetype.vala:
	* vala/valaclasstype.vala:
	* vala/valadatatype.vala:
	* vala/valainterfaceinstancetype.vala:
	* vala/valainterfacetype.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamemorymanager.vala:
	* vala/valanullchecker.vala:
	* vala/valaparser.vala:
	* vala/valareferencetransferexpression.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasymbolresolver.vala:
	* vala/valatypeparametertype.vala:
	* vala/valaunresolvedtype.vala:
	* vala/valavaluetype.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valagidlwriter.vala:
	* vapigen/valagidlparser.vala:
	* vapi/glib-2.0.vapi:

	Replace DataType.transfers_ownership and DataType.takes_ownership
	by DataType.value_owned, prepare support for owned value types

2008-05-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamemorymanager.vala:
	* vala/valaproperty.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodetypesymbolbinding.vala:
	* gobject/valagidlwriter.vala:

	Rename Property.type_reference to Property.property_type

2008-05-13  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegate.vala:
	* vala/valaformalparameter.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamemorymanager.vala:
	* vala/valamethod.vala:
	* vala/valanullchecker.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasourcefile.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeclassbinding.vala:
	* gobject/valaccodedynamicmethodbinding.vala:
	* gobject/valaccodedynamicsignalbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodegeneratorsignal.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodememberaccessbinding.vala:
	* gobject/valaccodemethodbinding.vala:
	* gobject/valaccodetypesymbolbinding.vala:
	* gobject/valagidlwriter.vala:

	Rename FormalParameter.type_reference to
	FormalParameter.parameter_type

2008-05-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valafield.vala:
	* vala/valainterfacewriter.vala:
	* vala/valamemorymanager.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Rename Field.type_reference to Field.field_type

2008-05-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaexpression.vala:
	* vala/valamemorymanager.vala:
	* vala/valanullchecker.vala:
	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodearraycreationexpressionbinding.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:
	* gobject/valaccodegenerator.vala:
	* gobject/valaccodeinvocationexpressionbinding.vala:
	* gobject/valaccodememberaccessbinding.vala:

	Rename Expression.static_type to Expression.value_type

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.3.2 release

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala: improve D-Bus service support
	for arbitrary return types

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala: support methods throwing
	exceptions in D-Bus services, patch by Ali Sabil

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* doc/vala/namespaces.xml:

	Extend namespaces section, based on patch by Phil Housley

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* doc/vala/statements.xml:

	Small improvements to statements section

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* doc/vala/Makefile.am:
	* doc/vala/attributes.xml:
	* doc/vala/index.xml:
	* doc/vala/methods.xml:

	Add sections for methods and attributes

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* doc/vala/expressions.xml:

	Extend expressions section, based on patch by Phil Housley

2008-05-12  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi: add some debug and logging function
	bindings, fixes bug 531977

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix `var' with pointer types,
	fixes bug 527779

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi:

	Add time_t and struct tm bindings,
	based on patch by Evan Nemerson, fixes bug 527778

2008-05-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: add basic support for
	instance_pos attribute to struct creation methods, fixes bug 530774

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodetypesymbolbinding.vala: fix double properties

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vala/valastringliteral.vala:

	Fix syntax error in .vapi file when using string literal as default
	argument, patch by Jared Moore, fixes bug 532564

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodewriter.vala:
	* gobject/valaccodegeneratorsourcefile.vala:

	Fix crash when opening output file fails, fixes bug 466573

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix freeing nested GLists and
	GSLists, fixes bug 443514

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: remove obsolete GList copy code

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsignal.vala:

	Use correct marshaller for string arrays,
	patch by Ali Sabil, fixes bug 531251

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am:
	* vala/valafieldprototype.vala:
	* vala/valasemanticanalyzer.vala:

	Set appropriate static type for field prototypes, fixes bug 532314

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi: specify free functions, fixes bug 531631

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vala/valaintegertype.vala: fix assignment of integer literals to
	derived integer types, fixes bug 530809

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_message_dialog_new* bindings,
	fixes bug 531628

	* vapi/gtk+-2.0.vapi: regenerated

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am:
	* vapi/glib-2.0.vapi:
	* vapi/gmodule-2.0.vapi:
	* vapi/gstreamer-0.10.deps:

	Move dynamic module loading support into separate VAPI file and
	improve bindings, fixes bug 531583

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add g_strv_length binding

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: remove obsolete InstanceLast attributes

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: fix crash on invalid code, fixes bug 531034

2008-05-11  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_io_channel_set_encoding binding,
	fixes bug 530926

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: support base types for structs

	* vapi/packages/gstreamer-0.10/: fix GstClockTime and
	GstClockTimeDiff bindings, fixes bug 530809

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-11  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* ccode/valaccodestruct.vala:

	Add an empty line after struct declaration to please gtk-doc,
	fixes bug 532350

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodedynamicsignalbinding.vala:

	Fix connecting to the same dynamic signal multiple times,
	patch by Yu Feng, fixes bug 532053

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:

	Fix `namespace Foo.Bar {...}' parsing, fixes bug 531379

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vala/valaattributeprocessor.vala:
	* vala/valaenumvalue.vala:

	Support cname attribute for enum values,
	patch by Jared Moore, fixes bug 529288

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/:

	Fix gtk_dialog_new_with_buttons and gtk_file_chooser_dialog_new*
	bindings, patch by Nicolas Joseph, fixes bug 531436

	* vapi/gtk+-2.0.vapi: regenerated

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/:

	Fix GstBuffer.data binding,
	patch by Jaap A. Haitsma, fixes bug 531431

	* vapi/gstreamer-0.10.vapi: regenerated

2008-05-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/:

	Fix gdk_pixbuf_new_from_data and gdk_pixbuf_save bindings,
	patch by Jaap A. Haitsma, fixes bug 531412

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala:

	Support `this' in struct creation methods,
	patch by Jared Moore, fixes bug 527770

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsignal.vala:

	Fix string return type for marshallers,
	patch by Yu Feng, fixes bug 531137

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Support properties in D-Bus services,
	based on patch by Yu Feng, fixes bug 531132

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Don't export override methods to D-Bus, fixes bug 531135

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vapi/dbus-glib-1.vapi:

	Add dbus_g_connection_lookup_g_object and dbus_g_proxy_get_*
	bindings, patch by Yu Feng, fixes bug 531131

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala:
	* gobject/valaccodetypesymbolbinding.vala:

	Support inheritance for type_id, marshaller_type_name,
	get_value_function, and set_value_function

	* vapi/glib-2.0.vapi:

	Set type_id, marshaller_type_name, get_value_function, and
	set_value_function for uint32, fixes bug 530603

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vapi/sdl.vapi: add SDL ActiveState enum,
	patch by Levi Bard, fixes bug 530429

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	Report error when trying to create instance of static class,
	patch by Andreas Brauchli, fixes bug 516779

2008-05-08  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* vala/valastruct.vala:

	Check number of type arguments in object creation expression,
	patch by Andreas Brauchli, fixes bug 528833

2008-05-08  Jaap A. Haitsma  <jaap@haitsma.org>

	reviewed by: Jürg Billeter

	* vapi/hal.vapi:
	Also return length in string array returned from
	libhal_find_device_by_capability. Fixes bug #530738

2008-05-07  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Support signals in D-Bus services, patch by Yu Feng

2008-05-03  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala:
	* vala/valastruct.vala:

	Support custom cname for structs in InterfaceWriter

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala: inherit integer_type and floating_type,
	fixes bug 530600

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valadatatype.vala:
	* gobject/valaccodegeneratorsignal.vala:

	Fix crash when using arrays in D-Bus services, fixes bug 530455

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* vala/valainitializerlist.vala: implement replace_expression

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* vala/valacatchclause.vala:
	* gobject/valaccodegenerator.vala:

	Fix error handling in catch and finally clauses, fixes bug 530212

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_rand*_int and g_rand*_double bindings,
	patch Ondrej Jirman, fixes bug 530207

2008-05-02  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/scanner.c: (g_igenerator_add_symbol):

	Do not add duplicate symbols,
	patch by Étienne Bersac, fixes bug 528254

2008-05-01  Jürg Billeter  <j@bitron.ch>

	* doc/vala/types.xml:
	* doc/vala/default.css:
	* doc/vala/xhtml.xsl:

	Extend types section, based on patch by Phil Housley

2008-05-01  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala:
	* vala/valanullchecker.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasymbolresolver.vala:
	* vapigen/valagidlparser.vala:

	Fix crash when using errordomain methods,
	based on patch by Phil Housley, fixes bug 530537

2008-04-28  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/: fix GdkEvent* bindings

	* vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-04-28  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsexy/: fix sexy_icon_entry_set_icon binding,
	patch by Evan Nemerson

	* vapi/libsexy.vapi: regenerated

2008-04-28  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_box_query_child_packing binding,
	patch by Evan Nemerson

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-27  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala:

	Fix generic type arguments in to_string()

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Fix crash when using abstract properties

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala:

	Build executable by default

	* ccode/Makefile.am:
	* compiler/Makefile.am:
	* gee/Makefile.am:
	* gen-project/Makefile.am:
	* gobject/Makefile.am:
	* tests/testrunner.sh:
	* vala/Makefile.am:
	* vapigen/Makefile.am:

	Update build system to use -C

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:

	Always initialize local array length variables, fixes bug 529863

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala:
	* vala/valaclassinstancetype.vala:
	* vala/valaclasstype.vala:
	* vala/valadatatype.vala:
	* vala/valadelegatetype.vala:
	* vala/valaerrortype.vala:
	* vala/valainterfaceinstancetype.vala:
	* vala/valainterfacetype.vala:
	* vala/valamethodtype.vala:
	* vala/valanulltype.vala:
	* vala/valapointertype.vala:
	* vala/valasemanticanalyzer.vala:
	* vala/valasymbolresolver.vala:
	* vala/valatypeparametertype.vala:
	* vala/valavaluetype.vala:
	* vala/valavoidtype.vala:
	* gobject/valaccodegenerator.vala:

	Fix handling of const types, fixes bug 529851

2008-04-26  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* gobject/valaccodedynamicmethodbinding.vala: fix dbus strv
	handler argument order, fixes bug 528412

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add g_get_tmp_dir binding,
	patch by Nicolas Joseph, fixes bug 529776

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_image_* and gtk_icon_size_*
	bindings, patch by Nicolas Joseph, fixes bug 529770

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala:
	* gobject/valaccodetypesymbolbinding.vala:

	Fix `char' properties, fixes bug 529604

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeclassbinding.vala:

	Fix DBus services with multiple methods, fixes bug 529571

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* vala/valacatchclause.vala:
	* gobject/valaccodegenerator.vala:

	Support catch clauses without error variable, fixes bug 529539

2008-04-26  Jürg Billeter  <j@bitron.ch>

	* vala/valanamespace.vala:
	* vala/valaparser.vala:

	Respect nested namespaces when merging namespaces, fixes bug 529438

2008-04-24  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_key_file_to_data binding,
	  patch by Daniel Svensson

2008-04-24  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: nullable and generic type fixes,
	  patch by Daniel Svensson

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: re-add support for pre- and postconditions

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_signal_* bindings,
	patch by Evan Nemerson

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala:
	Don't cast out arguments

2008-04-23  Jürg Billeter  <j@bitron.ch>

	Add support for class constructors, class fields, and class
	methods, fixes bug 507136

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala:
	Fix nested namespaces

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaforstatement.vala:
	* ccode/valaccodeforstatement.vala:
	Fix criticals when using for statements without condition

2008-04-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaenum.vala:
	* vapigen/valagidlparser.vala:
	Add support for delegate_target_pos metadata attribute

2008-04-22  Jürg Billeter  <j@bitron.ch>

	* vapi/libftdi.vapi: mark enums as public, patch by Evan Nemerson

2008-04-22  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-04-22  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.3.1 release

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: support enum value attributes

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: more binding fixes

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vapi/enchant.vapi:
	* vapi/glib-2.0.vapi:
	* vapi/hal.vapi:
	* vapi/packages/gtk+-2.0/:
	* vapi/packages/hildon-fm-2/:

	Various minor binding fixes

	* vapi/gdk-x11-2.0.vapi:
	* vapi/gtk+-2.0.vapi:
	* vapi/hildon-fm-2.vapi:

	Regenerated

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vala/valadynamicmethod.vala: generate unique names for wrapper
	  methods, fixes bug 529251

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libglade-2.0/: fix glade_xml_construct binding,
	  patch by Christian Meyer

	* vapi/libglade-2.0.vapi: regenerated

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/libsexy.deps, vapi/libsexy.vapi,
	  vapi/packages/libsexy/: add libsexy bindings,
	  patch by Evan Nemerson, fixes bug 528314

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vala/valaintegerliteral.vala, vala/valarealliteral.vala:
	  accept lower-case suffixes for integer and real literals,
	  based on patch by Jaap A. Haitsma, fixes bug 528968

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: fix GFileMonitor::changed binding

	* vapi/gio-2.0.vapi: regenerated

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix critical on invalid code,
	  fixes bug 529177

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeinvocationexpressionbinding.vala: fix struct
	  instance methods, fixes bug 529183

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: allow assigning construct-only
	  properties in constructors, fixes bug 529222

2008-04-21  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:
	* gobject/valaccodeassignmentbinding.vala:
	* gobject/valaccodeelementaccessbinding.vala:

	Fix element access for libgee collections

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valadatatype.vala,
	  vala/valastruct.vala, vala/valatypesymbol.vala,
	  gobject/valaccodeclassbinding.vala,
	  gobject/valaccodedynamicsignalbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorsignal.vala,
	  gobject/valaccodegeneratorsourcefile.vala,
	  gobject/valaccodetypesymbolbinding.vala, vapi/dbus-glib-1.vapi,
	  vapi/glib-2.0.vapi:

	  Add experimental D-Bus server support

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaclasstype.vala,
	  vala/valacodecontext.vala, vala/valacodegenerator.vala,
	  vala/valadatatype.vala, vala/valadynamicmethod.vala,
	  vala/valadynamicsignal.vala, vala/valainterface.vala,
	  vala/valainterfacetype.vala, vala/valamethod.vala,
	  vala/valamethodtype.vala, vala/valaparser.vala,
	  vala/valascanner.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valatokentype.vala,
	  vala/valaunresolvedtype.vala, vala/valavaluetype.vala,
	  gobject/Makefile.am, gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodebinding.vala,
	  gobject/valaccodedynamicmethodbinding.vala,
	  gobject/valaccodedynamicsignalbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorsourcefile.vala,
	  gobject/valaccodeinterfacebinding.vala,
	  gobject/valaccodeinvocationexpressionbinding.vala,
	  gobject/valaccodemethodbinding.vala, compiler/valacompiler.vala,
	  vapi/dbus-glib-1.vapi:

	  Improve support for dynamic types, add `dynamic' type modifier,
	  port dynamic D-Bus client support

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix GtkDialog.vbox binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala, vala/valaclass.vala,
	  vala/valacodecontext.vala, vala/valainterfacewriter.vala,
	  vala/valamember.vala, vala/valamemorymanager.vala,
	  vala/valamethod.vala, vala/valanamespace.vala,
	  vala/valaparser.vala, vala/valascanner.vala,
	  vala/valasemanticanalyzer.vala, vala/valasourcefile.vala,
	  vala/valasymbol.vala, vala/valatokentype.vala,
	  vala/valatypesymbol.vala, gobject/valaccodecompiler.vala,
	  gobject/valaccodegenerator.vala, gobject/valagidlwriter.vala,
	  vapigen/valagidlparser.vala, vapi/packages/gnome-keyring-1/,
	  vapi/packages/gstreamer-0.10/, vapi/packages/gtk+-2.0/,
	  vapi/packages/libgnome-menu/, vapi/packages/pango/:

	  Replace [Import] attribute by `extern' keyword, rename
	  `is_imported' property to `external' and `pkg' property to
	  `external_package' to harmonize used terms, fixes bug 480253

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix GtkBuilderError binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: support using lambda expressions
	  with instance delegates

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_*_store_set_column_types
	  bindings, patch by Daniel Svensson

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_scrolled_window_new binding,
	  patch by Daniel Svensson

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libglade-2.0/: fix glade_xml_new* bindings,
	  patch by Christian Meyer

	* vapi/libglade-2.0.vapi: regenerated

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi: set free_function for XPathContext and
	  replace `pointer' by `void*', fixes bug 528959

2008-04-20  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: support partial interface
	  reimplementation, fixes bug 504079

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when trying to set
	  construct-only properties

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala: fix D-Bus signal
	  handlers, fixes bug 528937

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: mark all cancellable parameters as
	  nullable, fixes bug 528954

	* vapi/gio-2.0.vapi: regenerated

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala,
	  gobject/valaccodeinterfacebinding.vala: support virtual methods
	  in interfaces, fixes bug 443525

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valaattributeprocessor.vala, vala/valaerrortype.vala,
	  vapi/dbus-glib-1.vapi, gobject/valaccodegenerator.vala: get D-Bus
	  sample working again

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala:, vala/valadestructor.vala,
	  vala/valasemanticanalyzer.vala, gobject/valaccodeclassbinding.vala:
	  support `this' access in destructors, fixes bug 527997

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: don't check for `pointer' struct

2008-04-19  Jürg Billeter  <j@bitron.ch>

	Replace `pointer' by `void*' in all bindings and remove pointer
	struct from GLib bindings, fixes bug 510085

2008-04-20  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi: replace 'pointer' by 'void*'

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: fix g_file_monitor_* bindings,
	  patch by Jaap A. Haitsma, fixes bug 528881

	* vapi/gio-2.0.vapi: regenerated

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, vala/valasignal.vala,
	  gobject/valaccodeassignmentbinding.vala: don't mangle D-Bus
	  signal names, fixes bug 528774

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, gobject/valaccodegenerator.vala:
	  fix crash when trying to iterate over pointer types,
	  fixes bug 528765

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegatetype.vala: fix to_string for nullable delegates

	* vapi/packages/gtk+-2.0/: fix gtk_about_dialog_set_*_hook
	  bindings, patch by Jaap A. Haitsma, fixes bug 528674

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodebinding.vala, gobject/valaccodeclassbinding.vala,
	  gobject/valaccodemethodbinding.vala:

	  Mark generic type parameter properties as construct-only,
	  fixes bug 528567

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: disable null warnings with
	 --disable-non-null

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: fix g_output_stream_write_all and
	  g_file_load_contents bindings, fixes bug 528491

	* vapi/gio-2.0.vapi: regenerated

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valacodegenerator.vala, vala/valainvocationexpression.vala,
	  vala/valamemberaccess.vala, gobject/Makefile.am,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodeinvocationexpressionbinding.vala,
	  gobject/valaccodememberaccessbinding.vala:

	  Add CCodeInvocationExpressionBinding and CCodeMemberAccessBinding
	  classes

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* gobject/Makefile.am, gobject/valaccodecreationmethodbinding.vala,
	  gobject/valaccodegenerator.vala, gobject/valaccodemethodbinding.vala,
	  vala/valacreationmethod.vala:

	  Add CCodeCreationMethodBinding and CCodeMethodBinding classes

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valainterface.vala, gobject/Makefile.am,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodebinding.vala, gobject/valaccodeclassbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodeinterfacebinding.vala,
	  gobject/valaccodetypesymbolbinding.vala:

	  Add CCodeTypesymbolBinding, CCodeClassBinding, and
	  CCodeInterfaceBinding classes

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraycreationexpression.vala, vala/valaassignment.vala,
	  vala/valacodebinding.vala, vala/valacodecontext.vala,
	  vala/valacodenode.vala, vala/valaelementaccess.vala,
	  vala/valamethod.vala, vala/valaparser.vala,
	  vala/valasemanticanalyzer.vala,
	  gobject/valaccodearraycreationexpressionbinding.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodebinding.vala,
	  gobject/valaccodeelementaccessbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodemethodbinding.vala,
	  gobject/valadbusbindingprovider.vala:

	  Use lazy initialization for code bindings

2008-04-19  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix casts to GTypeInstance

	* vapi/glib-2.0.vapi: add get_type method to GLib.TypeInstance

2008-04-18  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: check accessiblity of base types
	  of classes and interfaces, fixes bug 514262

2008-04-18  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: don't report secondary syntax errors,
	  fixes bug 511896

2008-04-18  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, gobject/valaccodegeneratorclass.vala: make
	  sure that ref_function and unref_function of classes deriving
	  from GTypeInstance are always initialized

2008-04-18  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: ensure all classes have a default
	  construction method

2008-04-17  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: restore compatibility with sqlite < 3.5.0

2008-04-17  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when using `this' or
	  `base' access outside of instance methods

2008-04-16  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi (EnumClass, FlagsClass, FlagsValue): complete
	glib-2.0 enum and flags bindings, fixes bug 528114

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* vapi/sdl-gfx.vapi, vapi/sdl-image.vapi, vapi/sdl-mixer.vapi,
	  vapi/sdl.vapi: replace `pointer' by void*, patch by Levi Bard

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix error handling in static
	  constructors, fixes bug 528111

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* vapi/dbus-glib-1.vapi: fix dbus_connection_setup_with_g_main binding

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala:

	  Fix base access with virtual interface methods, fixes bug 528457

	* tests/classes-methods.vala: test base access

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: improve error handling, fixes bug 528431

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala:

	  Fix generated C code when calling struct methods

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala:

	  Fix generated C code when passing structs by reference,
	  fixes bug 528414

2008-04-16  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/vala.h, vala/valablock.vala,
	  vala/valacatchclause.vala, vala/valacfgbuilder.vala,
	  vala/valaclass.vala, vala/valacodecontext.vala,
	  vala/valacodegenerator.vala, vala/valacodevisitor.vala,
	  vala/valadeclarationstatement.vala, vala/valaexpression.vala,
	  vala/valaforeachstatement.vala, vala/valainterface.vala,
	  vala/valalocalvariable.vala, vala/valamemorymanager.vala,
	  vala/valamethod.vala, vala/valanullchecker.vala,
	  vala/valaparser.vala, vala/valasemanticanalyzer.vala,
	  vala/valastruct.vala, vala/valaswitchsection.vala,
	  vala/valasymbolresolver.vala,
	  gobject/valaccodearraycreationexpressionbinding.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala:

	  Rename VariableDeclarator to LocalVariable,
	  remove LocalVariableDeclaration class

2008-04-16  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi: Make DestroyNotify delegate argument
	nullable.

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vala/valascope.vala: update for use with non-null types

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vapi/cairo.vapi: fix cairo_set_dash binding

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_main_loop_new binding,
	  patch by Andrea Del Signore

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_message_dialog_new* bindings,
	  patch by Phil Housley

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala, vala/valaclasstype.vala,
	  vala/valadatatype.vala, vala/valaformalparameter.vala,
	  vala/valainterfacetype.vala, vala/valainterfacewriter.vala,
	  vala/valanulltype.vala, vala/valaparser.vala,
	  vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala,
	  vala/valatypeparametertype.vala, vala/valaunresolvedtype.vala,
	  vala/valavaluetype.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinterface.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodegeneratormethod.vala,
	  gobject/valaccodegeneratorsignal.vala,
	  gobject/valagidlwriter.vala, vapigen/valagidlparser.vala:

	  Remove is_ref and is_out properties from DataType class, add
	  direction property to FormalParameter class

2008-04-15  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: improve error handling

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: set transfers_ownership of delegate
	  return type

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi: update for use with non-null types,
	  patch by Andreas Brauchli

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: update for use with non-null types,
	  patch by Phil Housley

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vapi/sdl-mixer.vapi, vapi/sdl-ttf.vapi, vapi/sdl.vapi: update for
	  use with non-null types, patch by Levi Bard, fixes bug 528097

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala, vala/valapointertype.vala,
	  vala/valasymbolresolver.vala: mark pointers as nullable

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: improve error handling, fixes bug 528073

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report warning when using null
	  literal as argument for non-null parameter

	* vapi/glib-2.0.vapi: fix warnings

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report warning when using null
	  literal as return expression of method returning non-null value

	* */*.vala: fix warnings

2008-04-14  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/dbus-glib-1.vapi, vapi/enchant.vapi, vapi/libxml-2.0.vapi,
	vapi/sqlite3.vapi, vapi/taglib_c.vapi: remove "!".

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when using null
	  literal as default expression of non-null parameter,
	  fixes bug 528021

	* gee/readonlycollection.vala, gee/readonlylist.vala,
	  gee/readonlymap.vala, gee/readonlyset.vala, vala/valascope.vala,
	  ccode/valaccodeforstatement.vala, ccode/valaccodewhilestatement.vala,
	  vapigen/valavapicheck.vala, vapi/glib-2.0.vapi: fix revealed bugs

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: fix infinite loop on invalid syntax,
	  fixes bug 528017

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: report warning when using weak type
	  modifier in cast expressions, fixes bug 527990

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix interface base access,
	  fixes bug 527985

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valainterface.vala,
	  vala/valatypesymbol.vala, vala/valavaluetype.vala,
	  gobject/valaccodegenerator.vala: prepare support for nullable and
	  boxed value types

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaarraytype.vala,
	  vala/valaclasstype.vala, vala/valacodenode.vala,
	  vala/valadatatype.vala, vala/valaerrortype.vala,
	  vala/valaintegertype.vala, vala/valainterfacetype.vala,
	  vala/valamethodtype.vala, vala/valanullchecker.vala,
	  vala/valanulltype.vala, vala/valaparser.vala,
	  vala/valapointertype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valatypeparametertype.vala,
	  vala/valaunresolvedtype.vala, vala/valavaluetype.vala,
	  gobject/valaccodegenerator.vala, compiler/valacompiler.vala,
	  vapigen/valagidlparser.vala: move experimental null reference
	  checking to separate visitor

2008-04-14  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi (Value): renamed register_transform to
	register_transform_func.

2008-04-14  Jürg Billeter  <j@bitron.ch>

	* vala/valaobjectcreationexpression.vala, vala/valaparser.vala,
	  vala/valasemanticanalyzer.vala: don't require `new' operator for
	  struct initialization, fixes bug 526547

	* tests/structs.vala: port to new syntax

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratormethod.vala: remove warning about
	  unsupported return types for runtime type checks, we intend to
	  use out parameters instead of return values for structs in
	  generated C code in future versions

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valamethod.vala, vala/valasemanticanalyzer.vala:
	  fix method compatibility checks,
	  based on patch by Andreas Brauchli, fixes bug 527751

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GDatalist bindings,
	  patch by Marc-Andre Lureau, fixes bug 527243

	* vapi/packages/gtk+-2.0/: fix GtkSettings binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: support generic structs

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: fix typo

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: enable non-null types by default,
	  replace --enable-non-null commandline option by --disable-non-null

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* */*.vala: fix build when using non-null types

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valacodecontext.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala, compiler/valacompiler.vala:
	  Add --enable-non-null-experimental commandline option

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala:
	  fix issues when using non-null types

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: deprecate construct as parameter modifier,
	  fixes bug 524138

	* */*.vala: port to new syntax

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: report warning when using obsolete syntax
	  for non-null types

	* */*.vala, */*.vapi: port to new syntax

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: report warning when using deprecated syntax
	  for property default values

	* vala/valaconstructor.vala, vala/valaenum.vala: port to new syntax

2008-04-13  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* vapi/glib-2.0.vapi (Value): add init, register_transform, and
	boxed bindings, fixes bug 514349.

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrortype.vala, vala/valasemanticanalyzer.vala: never use
	  ClassType for ErrorType instances

	* vapi/glib-2.0.vapi: use errordomains instead of enums with
	  [ErrorDomain] attribute

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support takes_ownership metadata
	  attribute for method parameters

	* vapi/packages/gnome-keyring-1/: AttributeList fixes,
	  patch by Ross Burton, fixes bug 527522

	* vapi/gnome-keyring-1.vapi: regenerated

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala: don't use `weak' for value types used as
	  type arguments

	* vapigen/valagidlparser.vala: add metadata attribute to specify
	  type arguments

	* vapi/packages/gnome-keyring-1/: fix
	  gnome_keyring_list_item_ids_sync binding, fixes bug 527230

	* vapi/gnome-keyring-1.vapi: regenerated

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: set correct source_reference for property
	  accessors

	* vala/valasemanticanalyzer.vala: set source_reference for
	  generated code of automatic properties, fixes bug 527131

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vapi/dbus-glib-1.vapi: fix DBusGProxyCall binding,
	  fixes bug 527127

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrortype.vala: implement get_type_id

	* gobject/valaccodeassignmentbinding.vala: don't crash when using
	  unsupported parameter types in D-Bus signal handlers

	Fixes bug 527027

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: supported declaration-only interfaces

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valafield.vala: make set_cname public

	* vapigen/valagidlparser.vala: set cname of fields if necessary,
	  fixes bug 526992

	* vapi/gdk-2.0.vapi: regenerated

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support type_name metadata attribute
	  for method parameters

	* vapi/packages/gtk+-2.0/: fix gtk_action_group_add_radio_actions
	  binding, fixes bug 526871

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: allow object creation expressions in
	  expression statements

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/valaparser.vala: handle access modifier for signals

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaassignment.vala,
	  vala/valabinaryexpression.vala, vala/valaclass.vala,
	  vala/valanamespace.vala, vala/valaparser.vala,
	  vala/valascanner.vala, vala/valascope.vala,
	  vala/valasourcefile.vala, vala/valasourcelocation.vala,
	  vala/valatokentype.vala, vala/valatuple.vala,
	  vala/valaunaryexpression.vala, vala/valaunresolvedtype.vala:

	  Replace generated Vala scanner and parser by handwritten classes

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GEnumClass and GEnumValue bindings

2008-04-13  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Bump version to 0.3.1

2008-04-12  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: various improvements, patch by Evan Nemerson

2008-04-12  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix sscanf and add g_hash_table_remove_all
	  bindings, patch by Evan Nemerson

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* NEWS, configure.ac: update for 0.2.0 release

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valaerrortype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, gobject/valaccodegenerator.vala:
	  fix access to code and message fields in error types,
	  fixes bug 519648

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_tree_path_copy and
	  gtk_tree_selection_get_selected_rows bindings

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y: change syntax for defining default values of
	  properties, fixes bug 526550

	* tests/classes-properties.vala: test default values for properties

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valacodenode.vala, gobject/valaccodegenerator.vala: improve
	  error reporting for non reference-counted object instances,
	  fixes bug 471053

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix GtkToggleActionEntry.callback
	  binding, fixes bug 526792

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add missing g_get_user_*_dir bindings,
	  based on patch by Marc-André Lureau, fixes bug 517748

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valamemorymanager.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala: fix memory management when
	  mixing pointers and strong references, fixes bug 522110

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala: reset takes_ownership and
	  transfers_ownership for base types of pointer types

	* tests/pointers.vala: test element access for methods returning
	  pointers

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: don't compare base_method and
	  base_interface_method in visit_class as this might not be set yet
	  in other classes; available methods will already be checked in
	  detail in visit_method, fixes bug 523263

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: type check initializer lists

	* gobject/valaccodegenerator.vala: fix support for static delegates
	  for instance methods

	* vapigen/valagidlparser.vala: support type_name metadata attribute
	  for fields

	* tests/test-031.vala: use float literals in initializer list for
	  constant float array

	* vapi/packages/gtk+-2.0/: fix GtkActionEntry.callback binding

	* vapi/gtk+-2.0.vapi: regenerated

	Fixes bug 526652

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: fix gst_init_get_option_group
	  binding, fixes bug 526651

	* vapi/gstreamer-0.10.vapi: regenerated

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_action_group_add_*_actions
	  bindings, patch by Jaap A. Haitsma, fixes bug 526648

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodeblock.vala, ccode/valaccodeincludedirective.vala:
	  two small optimizations, patch by Jaap A. Haitsma, fixes bug 526243

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix spurious error when
	  overriding abstract method in derived abstract class,
	  fixes bug 523263

	* tests/classes-methods.vala: test overriding abstract method in
	  derived abstract class

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: check accessiblity of property
	  types, fixes bug 512404

2008-04-07  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala: fix element access
	  assignment with pointers, fixes bug 519933

	* tests/pointers.vala: test pointer element access

2008-04-06  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_tree_sortable_get_sort_column_id
	  binding, fixes bug 526410

	* vapi/gtk+-2.0.vapi: regenerated

2008-04-06  Jürg Billeter  <j@bitron.ch>

	* vala/valapointertype.vala,
	  gobject/valaccodeassignmentbinding.vala: fix crash when using
	  pointers in parameters of D-Bus signals, fixes bug 526111

2008-04-06  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala: fix crash
	  when using string arrays in parameters of D-Bus methods,
	  fixes bug 525166

2008-04-06  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorclass.vala,
	  gobject/valaccodegeneratorinterface.vala,
	  gobject/valaccodegeneratorsourcefile.vala,
	  gobject/valaccodegeneratorstruct.vala:

	  Add source_type_declaration and source_type_definition code
	  fragments to fix declaration order in generated C source files

2008-03-31  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/parser.y, vala/vala.h,
	  vala/valaattribute.vala, vala/valabooleanliteral.vala,
	  vala/valacharacterliteral.vala, vala/valacodecontext.vala,
	  vala/valacodegenerator.vala, vala/valacodevisitor.vala,
	  vala/valaintegerliteral.vala, vala/valaliteral.vala,
	  vala/valanullliteral.vala, vala/valarealliteral.vala,
	  vala/valasemanticanalyzer.vala, vala/valastringliteral.vala,
	  gobject/valaccodeelementaccessbinding.vala,
	  gobject/valaccodegenerator.vala:

	  Merge Literal and LiteralExpression

2008-03-31  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: fix output of enums with methods

2008-03-30  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: enhance support for pointer
	  arithmetic

2008-03-29  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaclass.vala, vala/valaconstructor.vala,
	  gobject/valaccodegenerator.vala: add support for static
	  constructors, fixes bug 506985

2008-03-24  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/: add GDK_SELECTION_* bindings
	* vapi/packages/gtk+-2.0/: fix gtk_text_buffer_paste_clipboard
	  binding

	* vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

	Fixes bug 524176

2008-03-24  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix crash on invalid collection
	  expressions in foreach statements, fixes bug 524033

2008-03-24  Jürg Billeter  <j@bitron.ch>

	* vapi/sdl.vapi: add missing public modifier,
	  patch by Levi Bard, fixes bug 524192

2008-03-24  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala: fix generated code for
	  methods returning structs

2008-03-23  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala: inherit default value from base type

2008-03-23  Jürg Billeter  <j@bitron.ch>

	* vala/valareport.vala, vala/valasourcefile.vala,
	  compiler/valacompiler.vala: add -v commandline option to improve
	  error reporting, patch by Daniel Silverstone, fixes bug 522511

2008-03-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/json-glib-1.0/: add metadata to fix some memory
	  leaks and out parameters, fixes bug 523889

	* vapi/json-glib-1.0.vapi: regenerated

2008-03-23  Jürg Billeter  <j@bitron.ch>

	* vala/valanamespace.vala: fix vapigen crash

2008-03-23  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: enhance GIOChannel binding,
	  based on patch by Nicolas Joseph, fixes bug 523876

2008-03-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix C declaration for delegates,
	  fixes bug 523734

2008-03-22  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valanamespace.vala: support nested namespaces,
	  fixes bug 516584

2008-03-22  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodedeclaration.vala, gobject/valaccodegenerator.vala:
	  use extern appropriately for static fields,
	  based on patch by Daniel Silverstone, fixes bug 523768

2008-03-22  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y: fix source reference of fields,
	  patch by Daniel Silverstone, fixes bug 523761

2008-03-22  Jürg Billeter  <j@bitron.ch>

	* vala/valascope.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbol.vala: check accessiblity of parameter and return
	  types, fixes bug 433290

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/sdl-gfx.vapi, vapi/sdl-image.vapi,
	  vapi/sdl-mixer.vapi, vapi/sdl-ttf.vapi, vapi/sdl.vapi: add SDL
	  bindings, patch by Levi Bard, fixes bug 522940

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when trying to
	  declare private construct properties,
	  patch by Daniel Silverstone, fixes bug 522685

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vala/valaenum.vala, vala/valaenumvalue.vala,
	  vala/valainterfacewriter.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinterface.vala,
	  vapigen/valagidlparser.vala: register enums with GType,
	  patch by Marc-André Lureau, fixes bug 517294

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: fix g_file_copy, g_file_copy_async, and
	  g_file_move bindings, fixes bug 523544

	* vapi/gio-2.0.vapi: regenerated

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_shell_parse_argv binding,
	  fixes bug 523277

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_mutex_trylock binding, fixes bug 523086

2008-03-21  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/gnome-keyring-1.vapi,
	  vapi/packages/gnome-keyring-1/: add GNOME Keyring bindings,
	  patch by Andrea Del Signore, fixes bug 522646

2008-03-20  Jürg Billeter  <j@bitron.ch>

	* vala/valainterface.vala, vala/valainterfacewriter.vala,
	  vapigen/valagidlparser.vala: support lower_case_csuffix attribute
	  for interfaces

	* vapi/packages/gstreamer-interfaces-0.10/: fix GstXOverlay binding

	* vapi/gstreamer-interfaces-0.10.vapi: regenerated

	Patch by Andrea Del Signore, fixes bug 512744

2008-03-19  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GTimeoutSource and GIdleSource bindings,
	  patch by Phil Housley

2008-03-19  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix crash when using lock
	  statements

2008-03-18  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: support taking address of pointer

2008-03-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_calendar_get_date binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GChildWatch bindings

2008-03-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: detect GStrv type

	* vapi/packages/gio-2.0/: update to glib 2.16.1

	* vapi/gio-2.0.vapi: regenerated

2008-03-16  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support modifying return type with
	  metadata attributes

	* vapi/packages/gtk+-2.0/: fix gtk_about_dialog_set_*_hook bindings,
	  fixes bug 522061

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala: fix variable
	  initialization for array types

2008-03-16  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support hidden="0" for parameters

	* vapi/packages/gtk+-2.0/: fix gtk_action_group_add_actions
	  bindings, fixes bug 522060

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorsourcefile.vala: emit constants after
	  function declarations as constants may depend on function
	  declarations, fixes bug 501584

	* tests/delegates.vala: test constants depending on function
	  declarations

2008-03-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala: fix support
	  for array return types for D-Bus method calls

2008-03-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala: fix crash
	  when using arrays for D-Bus method calls

2008-03-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodegeneratormethod.vala: fix runtime crash when
	  using nullable struct parameters,
	  patch by Alberto Ruiz, fixes bug 514864

2008-03-14  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/, vapi/packages/gtk+-2.0/: fix gdk/gtk_init
	  bindings, fixes bug 521842

	* vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-03-14  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/: fix gdk_pixbuf_loader_write binding

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-03-14  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaarraytype.vala, vala/valadatatype.vala,
	  vala/valamember.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valatypeparameter.vala,
	  vala/valatypesymbol.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala: remove Array class, arrays
	  are not type symbols

2008-03-12  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_get_option_group binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-11  Jürg Billeter  <j@bitron.ch>

	* gobject/Makefile.am, gobject/valagidlwriter.vala,
	  compiler/valacompiler.vala: add GIdlWriter to generate .gidl files
	  when building libraries

2008-03-11  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/grealpath.h: add missing file

2008-03-10  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/: update from gobject-introspection SVN r128

2008-03-10  Jürg Billeter  <j@bitron.ch>

	* vala/valaarray.vala, gobject/valaccodeelementaccessbinding.vala:
	  Make the length field of a multi-dimensional array an array of ints,
	  currently only works with literal indices, patch by Rob Taylor

	* tests/arrays.vala: test length field of multi-dimensional arrays

2008-03-09  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/webkit-1.0/: update to r30885

	* vapi/webkit-1.0.vapi: regenerated

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vala/valaarray.vala: minor code cleanup,
	  based on patch by Andreas Brauchli

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: add GstGhostPad binding

	* vapi/gstreamer-0.10.vapi: regenerated

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valadbusbindingprovider.vala: fix crash when using arrays

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix exception handling in
	  property accessors, fixes bug 520936

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_cell_renderer_get_size binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_tree_model_get_value binding,
	  fixes bug 520428

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_module_error binding, fixes bug 520267

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valaproperty.vala,
	  vala/valapropertyaccessor.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegeneratormemberaccess.vala: optimize access to
	  automatic properties, patch by Rob Taylor

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: support foreach over
	  multi-dimensional arrays

	* tests/arrays.vala: test multi-dimensional arrays

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l: support declaration of local
	  multi-dimensional array variables

2008-03-08  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: improve instance delegate detection

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/gdk-pixbuf-2.0.vapi,
	  vapi/gnet-2.0.vapi, vapi/gnome-vfs-2.0.vapi,
	  vapi/gstreamer-0.10.vapi, vapi/gstreamer-audio-0.10.vapi,
	  vapi/gstreamer-base-0.10.vapi, vapi/gtk+-2.0.vapi,
	  vapi/libgnomeui-2.0.vapi, vapi/liboobs-1.vapi,
	  vapi/libsoup-2.2.vapi, vapi/libsoup-2.4.vapi, vapi/libwnck-1.0.vapi,
	  vapi/pango.vapi, vapi/pangocairo.vapi:regenerated

2008-03-06  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: tiny code improvement

2008-03-06  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/libftdi.deps, vapi/libftdi.vapi:
	  add libftdi bindings, patch by Evan Nemerson

2008-03-05  Jürg Billeter  <j@bitron.ch>

	* vala/valaclasstype.vala, vala/valadatatype.vala,
	  vala/valainterfacetype.vala, vala/valainvalidtype.vala,
	  vala/valatypeparametertype.vala, vala/valavaluetype.vala,
	  vala/valavoidtype.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valadbusbindingprovider.vala:

	  Mark DataType as abstract base class

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valatypeparametertype.vala:
	  reduce use of raw DataType instances

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: fix sqlite3_value binding,
	  patch by Andreas Brauchli

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: don't use GRegex to avoid
	  dependency on GLib 2.14

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* vala/valacodecontext.vala: fix duplicate local variable,
	  patch by Vlad Grecescu

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GBase64 bindings

2008-03-04  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/: fix GdkPixdata bindings

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/, vapi/packages/gtk+-2.0/: fix
	  gdk_drawable_get_size, gtk_cell_renderer_get_size,
	  gtk_layout_get_size, and gtk_widget_get_size_request bindings

	* vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: don't free arguments of ref and
	  out parameters

	* tests/classes-methods.vala: test ref parameter

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* tests/testrunner.sh: make sure we detect failed test cases

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix GtkAboutDialog bindings,
	  patch by Andrea Del Signore

	* vapi/gtk+-2.0.vapi: regenerated

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.1.7 release

2008-03-02  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/bzlib.vapi: clean up bzlib vapi, add licence statement

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support errordomain metadata attribute

	* vapi/packages/gio-2.0/: mark GIOError as errordomain,
	  update to glib 2.15.6

	* vapi/gio-2.0.vapi: regenerated

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add binding for fflush

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/libbonoboui-2.0.vapi, vapi/libpanelapplet-2.0.deps,
	  vapi/libpanelapplet-2.0.vapi: add incomplete libbonoboui-2.0
	  bindings, improve libpanelapplet-2.0 bindings,
	  patch by Andrea Del Signore

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/zlib.vapi: various fixes

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/goocanvas.deps, vapi/goocanvas.vapi,
	  vapi/packages/goocanvas/: add goocanvas bindings,
	  patch by Roberto Majadas

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaintegertype.vala: allow implicit conversion from 0 to
	  enum and flags types

	* tests/enums.vala: test conversion from 0 to enum type

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add bindings for g_get_system_*_dirs

	* vala/valacodecontext.vala: use g_get_system_data_dirs to find
	  VAPI files, should make valac relocatable on Windows

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add dir separator bindings,
	  fix g_regex_escape_string binding

	* compiler/valacompiler.vala: port realpath to Windows,
	  fixes bug 515210

2008-03-02  Jürg Billeter  <j@bitron.ch>

	* configure.ac, gen-project/Makefile.am, gen-project/licenses/:
	  distribute licenses to be used by vala-gen-project

	* gen-project/valaprojectgenerator.vala: add GPL3 and LGPL3, copy
	  license from $(pkgdatadir)/licenses or /usr/share/common-licenses/
	  instead of automake or libtool to ensure we copy the right version,
	  based on patch by Andreas Brauchli

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix using interface methods as
	  delegates, fixes bug 518109

	* tests/delegates.vala: test interface methods as delegates

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorclass.vala: don't register private
	  properties with GObject property system, fixes bug 519201

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/hildon-fm-2.deps, vapi/hildon-fm-2.vapi,
	  vapi/packages/hildon-fm-2/: add hildon-fm-2 bindings,
	  based on patch by Levi Bard, fixes bug 511092

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support cheader_filename metadata
	  attribute for delegates

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* vapi/atk.vapi, vapi/gconf-2.0.vapi, vapi/gdk-2.0.vapi,
	  vapi/gdk-pixbuf-2.0.vapi, vapi/gnet-2.0.vapi, vapi/gnome-vfs-2.0.vapi,
	  vapi/gstreamer-0.10.vapi, vapi/gstreamer-audio-0.10.vapi,
	  vapi/gstreamer-base-0.10.vapi, vapi/gstreamer-controller-0.10.vapi,
	  vapi/gstreamer-dataprotocol-0.10.vapi,
	  vapi/gstreamer-pbutils-0.10.vapi, vapi/libglade-2.0.vapi,
	  vapi/libgnome-menu.vapi, vapi/libgnomeui-2.0.vapi,
	  vapi/libnotify.vapi, vapi/liboobs-1.vapi, vapi/libsoup-2.2.vapi,
	  vapi/libsoup-2.4.vapi, vapi/libwnck-1.0.vapi, vapi/pango.vapi,
	  vapi/pangocairo.vapi, vapi/poppler-glib.vapi: regenerated

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: fix array_length_pos metadata
	  attribute

	* vapi/packages/libgnome-2.0/: fix gnome_program_init binding

	* vapi/libgnome-2.0.vapi: regenerated

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodecommaexpression.vala,
	  ccode/valaccodeexpressionstatement.vala: improve C code output

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala: fix argument
	  dependency in the C code for array and delegate arguments,
	  fixes bug 519597

	* tests/arrays.vala: test array argument

2008-03-01  Jürg Billeter  <j@bitron.ch>

	* tests/testrunner.sh: ensure tests don't report errors on stderr

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix error when using type
	  parameter in generic type methods

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala: support methods throwing
	  exceptions and returning generic type parameter

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valacodecontext.vala, vala/valaenumvalue.vala:
	  use source_reference for enum values

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_menu_popup binding

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* vala/valabinaryexpression.vala, vala/valaunaryexpression.vala:
	  support binary expressions in default arguments

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinterface.vala,
	  gobject/valaccodegeneratorsignal.vala: support GLib.Error as
	  signal parameter type, fixes bug 519415

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix try catch statements without
	  thrown exceptions, fixes bug 506016

	* tests/exceptions.vala: test try catch statements without errors

2008-02-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: support throw statements in try
	  statements

	* tests/exceptions.vala: test throw statement in try statement with
	  generic catch clause

2008-02-28  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala: support instance delegate fields,
	  fixes bug 519231

2008-02-28  Jürg Billeter  <j@bitron.ch>

	* doc/vala/default.css: set background-color

2008-02-28  Jürg Billeter  <j@bitron.ch>

	* tests/Makefile.am, tests/delegates.exp, tests/delegates.vala,
	  tests/expressions-lambda.exp, tests/expressions-lambda.vala:
	  combine and rename some tests

2008-02-28  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegeneratormethod.vala: fix instance delegate handling
	  for virtual method wrappers

2008-02-26  Jürg Billeter  <j@bitron.ch>

	* doc/vala/Makefile.am: define NULL,
	  patch by Cyril Soldani, fixes bug 518791

2008-02-26  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valanulltype.vala,
	  vala/valasemanticanalyzer.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala: fix
	  assigning to delegate fields and variables

2008-02-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodecompiler.vala, compiler/valacompiler.vala:
	  remove non-portable -O commandline option, fixes bug 518660

2008-02-26  Jürg Billeter  <j@bitron.ch>

	* gee/hashset.vala: fix iterator, patch by Ali Sabil

2008-02-26  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_test_init binding

2008-02-25  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vala/valadelegate.vala, vala/valainterfacewriter.vala: write and
	  process cheader_filename CCode attribute parameter for delegates
	* vapi/gio-2.0.vapi: regenerated

2008-02-25  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: always write abstract and virtual
	  methods

2008-02-24  Jürg Billeter  <j@bitron.ch>

	* vala/valamethod.vala: support main function in root namespace,
	  fixes bug 516950

2008-02-24  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, gobject/valaccodegenerator.vala:
	  fix crash when using delegates as properties, fixes bug 517499

2008-02-24  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/vala.h, vala/valasymbolresolver.vala,
	  vala/valaunresolvedsymbol.vala, vala/valaunresolvedtype.vala:
	  generalize symbol resolving to fully support inner types

	* vala/Makefile.am: update

	* vapigen/valagidlparser.vala, vapi/packages/gtk+-2.0/: adapt to
	  new symbol resolving

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/glib-2.0.vapi,
	  vapi/gnome-desktop-2.0.vapi, vapi/gnome-vfs-2.0.vapi,
	  vapi/gstreamer-0.10.vapi, vapi/gtk+-2.0.vapi,
	  vapi/libglade-2.0.vapi, vapi/libgnomeui-2.0.vapi,
	  vapi/webkit-1.0.vapi: regenerated

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegenerator.vala: fix gerror_type handling
	* vala/valadatatype.vala: pull in get_lower_case_cname from Symbol
	* vala/valaerrortype.vala: implement get_lower_case_cname and equals
	* vala/valasemanticanalyzer.vala: use ErrorType (null) for generic
	  catch clauses

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/bzlib.vapi: add bzip2 binding, patch by Maciej Piechotka
	* vapi/Makefile.am: add bzip2

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* doc/vala/interfaces.xml: add some interface documentation,
	  patch by Johannes Schmid

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/packages/pango/: fix Layout.get_size binding,
	  fixes bug 518143
	* vapi/pango.vapi: regenerated

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* compiler/valacompiler.vala: be quiet on zero errors and zero,
	  fixes bug 516925

2008-02-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegenerator.vala: fix array lengths with static
	  fields, fixes bug 515211

2008-02-24  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaclass.vala, vala/valainterface.vala:
	  support inner delegates

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaclass.vala, vala/valainterface.vala:
	  support inner enums, support inner types in interfaces,
	  fixes bug 518258

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vapi/gconf-2.0.vapi, vapi/gdk-2.0.vapi, vapi/gdk-pixbuf-2.0.vapi,
	  vapi/gio-2.0.vapi, vapi/gnet-2.0.vapi, vapi/gnome-vfs-2.0.vapi,
	  vapi/gstreamer-0.10.vapi, vapi/gstreamer-audio-0.10.vapi,
	  vapi/gstreamer-base-0.10.vapi, vapi/gstreamer-pbutils-0.10.vapi,
	  vapi/gtk+-2.0.vapi, vapi/libglade-2.0.vapi, vapi/libgnome-menu.vapi,
	  vapi/libgnomeui-2.0.vapi, vapi/libnotify.vap, vapi/libsoup-2.2.vapi,
	  vapi/libsoup-2.4.vapi, vapi/poppler-glib.vapi: regenerated

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: fix support for instance delegates

	* vapigen/valagidlparser.vala: support instance delegates in
	  bindings generator

2008-02-23  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vala/valaerrortype.vala: fix typo

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaformalparameter.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala: fix D-Bus
	  method calls and signal handlers, fixes bug 516194

2008-02-23  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegenerator.vala, vala/valaerrortype.vala: fix
	  handling of error type parameters in the gobject backend, fix
	  creation of GErrors outside of throws statements
	* tests/exceptions.vala: test error cast

2008-02-23  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vala/valaclass.vala, vala/valaerrortype.vala,
	  vala/valasymbolresolver.vala: allow any error type to be cast
	  implicitly to GLib.Error
	* vapi/glib-2.0.vapi: declare GLib.Error as ErrorBase, random fixes

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: visit child nodes of object
	  creation expressions for error types

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* vala/valamethodtype.vala: check whether delegate matches method,
	  fixes bug 515617

2008-02-23  Jürg Billeter  <j@bitron.ch>

	* gen-project/valaprojectgenerator.vala: fix Date.set_time_val call

2008-02-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support no_array_length metadata
	  attribute

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix
	  gtk_tree_path_get_indices binding, fixes bug 515410

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix gtk_selection_data_set binding,
	  fixes bug 515409

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-21  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add g_date_strftime binding, fixes bug 514346

2008-02-21  Jürg Billeter  <j@bitron.ch>

	* vala/valamemorymanager.vala, vala/valaparenthesizedexpression.vala,
	  vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala,
	  gobject/valaccodegenerator.vala: support delegate parameters in
	  creation methods, fixes bug 513273

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsoup-2.4/: update to libsoup 2.3.2

	* vapi/libsoup-2.4.vapi: regenerated

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtksourceview-2.0/: update to gtksourceview 2.1.2

	* vapi/gtksourceview-2.0.vapi: regenerated

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libwnck-1.0/: update to libwnck 2.21.91

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/,
	  vapi/packages/gstreamer-interfaces-0.10/: update to
	  gstreamer 0.10.17

	* vapi/gstreamer-0.10.vapi, vapi/gstreamer-interfaces-0.10.vapi:
	  regenerated

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/, vapi/packages/gio-unix-2.0/: update to
	  glib 2.15.5

	* vapi/gio-2.0.vapi, vapi/gio-unix-2.0.vapi: regenerated

2008-02-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/pango/: fix pango_layout_get_pixel_size binding

	* vapi/pango.vapi: regenerated

2008-02-19  Raffaele Sandrini  <raffaele@sandrini.ch>

	* AUTHORS, ccode/valaccodeelementaccess.vala,
	  ccode/valaccodemodifiers.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorclass.vala,
	  gobject/valaccodegeneratorinterface.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodegeneratormethod.vala,
	  gobject/valaccodegeneratorsignal.vala,
	  gobject/valaccodegeneratorsourcefile.vala,
	  gobject/valaccodegeneratorstruct.vala,
	  gobject/valainterfaceregisterfunction.vala, vala/valaarray.vala,
	  vala/valaarraycreationexpression.vala,
	  vala/valaattributeprocessor.vala, vala/valacharacterliteral.vala,
	  vala/valacodevisitor.vala, vala/valacreationmethod.vala,
	  vala/valadatatype.vala, vala/valaelementaccess.vala,
	  vala/valaformalparameter.vala, vala/valainterfacewriter.vala,
	  vala/valalockable.vala, vala/valalockstatement.vala,
	  vala/valamember.vala, vala/valamemorymanager.vala,
	  vala/valamethod.vala, vala/valasemanticanalyzer.vala,
	  vala/valatypesymbol.vala, vala/valaunresolvedtype.vala,
	  vapigen/valagidlparser.vala: change my email from rasa@gmx.ch
	  to raffaele@sandrini.ch
	* ChangeLog: fix pervious ChangeLog entry

2008-02-19  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vapi/gio-2.0.vapi: regenerated
	* vapi/packages/gio-2.0/gio-2.0.metadata: fix some methods and rename
	  IOErrorEnum to IOError
	* vapigen/valagidlparser.vala: support renaming of enums, check more
	  carefully whether an error formal parameter of a function is meant as
	  exception

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/libusb.vapi: add libusb bindings,
	  patch by Evan Nemerson

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_signal_handlers_* bindings

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: convert FileStream to instance_pos syntax

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: support delegates throwing
	  exceptions, patch by Andrea Del Signore, fixes bug 517024

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnet-2.0/: update to use vala-gen-introspect

	* vapi/gnet-2.0.vapi: regenerated

2008-02-18  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GObjectClass binding

2008-02-16  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegate.vala, gobject/valaccodegenerator.vala: support
	  [NoArrayLength] attribute for delegates

2008-02-15  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: write cheader_filename for
	  namespace methods

	* vapi/: regenerated bindings, fixes bug 514350

2008-02-15  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala: generate casts for property
	  assignments where necessary, fixes bug 511732

2008-02-15  Jürg Billeter  <j@bitron.ch>

	* vala/valamethod.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala: fix memory management of
	  parameters with ownership transfer, fixes bug 511642

2008-02-14  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: avoid testing floating point
	  numbers for equality, fixes bug 516259

2008-02-12  Jürg Billeter  <j@bitron.ch>

	* vala/valanamespace.vala: visit error domains, fixes bug 515828

2008-02-12  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/: fix gdk_window_get_origin binding
	* vapi/packages/gtk+-2.0/: fix gtk_spin_button_get_range binding

	* vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-02-12  Jürg Billeter  <j@bitron.ch>

	* vala/valaelementaccess.vala: fix crash when using prefix
	  increment in element access expression, fixes bug 515733

2008-02-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix using instance methods as
	  delegates in the constructor

2008-02-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala: support signal handlers
	  with struct parameters

2008-02-09  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinterface.vala: support GType
	  properties, patch by Ali Sabil

2008-02-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: remove static modifier from GSourceFunc
	  binding

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vala/valaattributeprocessor.vala, gobject/valaccodegenerator.vala:
	  support delegates with array and struct parameters,
	  fixes bug 515202

	* vapi/glib-2.0.vapi: fix GSignalEmissionHook binding

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y: fix use of uninitialized variables and mixed
	  declaration and code, patch by Vlad Grecescu, fixes bug 515166

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsoup-2.2/: fix message ownership issues

	* vapi/libsoup-2.2.vapi: regenerated

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add missing attributes to GType binidng for
	  use as property or signal parameter

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorstruct.vala: remove obsolete code used
	  for reference-type structs

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/webkit-1.0/: renamed from WebKitGtk and updated to
	  current svn trunk

	* vapi/webkit-1.0.vapi: regenerated

	* vapi/Makefile.am: updated

2008-02-08  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/taglib_c.vapi: add taglib bindings,
	  patch by Andreas Brauchli

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix GtkWidget.window
	  binding, fixes bug 510026

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala:

	  Support element access for pointers, fixes bug 512869

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/parser.y, vala/scanner.l,
	  vala/valacodecontext.vala, vala/valacodegenerator.vala,
	  vala/valacodevisitor.vala, vala/valadeletestatement.vala,
	  vala/valainterfacewriter.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala:

	  Support delete operator for pointers, fixes bug 512868

	* vapi/gio-2.0.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: allow pointer arithmetic

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix
	  gtk_tree_model_iter_nth_child binding, fixes bug 514869

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/parser.y, vala/scanner.l, vala/vala.h,
	  vala/valacodecontext.vala, vala/valacodegenerator.vala,
	  vala/valacodevisitor.vala, vala/valaenum.vala,
	  vala/valaerrorcode.vala, vala/valaerrordomain.vala,
	  vala/valaerrortype.vala, vala/valainterfacewriter.vala,
	  vala/valanamespace.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala, tests/exceptions.vala:

	  Separate errordomain from enum declaration, fixes bug 512616

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: use 0 as array length when array
	  is a null literal

	* vapigen/valagidlparser.vala: add basic array length support

	* vapi/cairo.vapi: fix some array length parameters

	* vapi/atk.vapi, vapi/gconf-2.0.vapi, vapi/gdk-2.0.vapi,
	  vapi/gdk-pixbuf-2.0.vapi, vapi/gio-2.0.vapi,
	  vapi/gnome-desktop-2.0.vapi, vapi/gstreamer-0.10.vapi,
	  vapi/gstreamer-audio-0.10.vapi, vapi/gstreamer-check-0.10.vapi,
	  vapi/gstreamer-netbuffer-0.10.vapi, vapi/gtk+-2.0.vapi,
	  vapi/libgnome-2.0.vapi, vapi/libgnomeui-2.0.vapi, vapi/libnotify.vapi,
	  vapi/libsoup-2.2.vapi, vapi/libsoup-2.4.vapi, vapi/pango.vapi,
	  vapi/vte.vapi: regenerated

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix some array length parameters

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi, vapi/packages/gstreamer-0.10/:
	  vapi/packages/gtk+-2.0/: set array_length_pos for init methods

	* vapi/gstreamer-0.10.vapi, vapi/gtk+-2.0.vapi: regenerated

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasignal.vala, vapigen/valagidlparser.vala: fix properties
	  and signals in vapigen

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegate.vala, gobject/valaccodegenerator.vala,
	  tests/delegates.vala: create wrapper functions for methods used as
	  delegates to fix parameter order

2008-02-07  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, vala/valasignal.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratorsourcefile.vala,
	  tests/classes-properties.vala, vapi/glib-2.0.vapi: create wrapper
	  functions for signal handlers to support public signal handlers,
	  fixes bug 508834

2008-02-06  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaarrayresizemethod.vala,
	  vala/valaattribute.vala, vala/valaattributeprocessor.vala,
	  vala/valacodecontext.vala, vala/valadelegate.vala,
	  vala/valaformalparameter.vala, vala/valainterfacewriter.vala,
	  vala/valamethod.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala:

	  Support flexible position of array length and delegate target
	  parameters, fixes bug 508831 and bug 513089

	* vapi/glib-2.0.vapi: update

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valapointertype.vala: implement get_symbols method,
	  based on patch by Andreas Brauchli, fixes bug 514008

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaclass.vala, vala/valaproperty.vala,
	  gobject/valaccodegeneratorinterface.vala: support default values
	  for properties, fixes bug 437434

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valastruct.vala, gobject/valaccodegeneratorsignal.vala:
	  support non-simple struct as signal parameter type

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix critical when using interface
	  properties

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaexpression.vala,
	  vala/valapropertyaccessor.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala: add support for private property
	  accessors

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala, vala/valapropertyaccessor.vala: build
	  control flow graph for property accessors

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* gee/hashmap.vala, gee/readonlycollection.vala, gee/readonlylist.vala,
	  gee/readonlymap.vala, gee/readonlyset.vala: remove unreachable
	  return statements

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala: assume that control flow ends when
	  invoking a method with the [NoReturn] attribute

	* vapi/glib-2.0.vapi: add [NoReturn] to assert_not_reached

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: set tree_can_fail for assignments
	  that can fail

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala, vala/valaforstatement.vala,
	  vala/valasemanticanalyzer.vala, gobject/valaccodegenerator.vala:
	  support for statements without condition, fixes bug 514548

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valapointertype.vala, vala/valasemanticanalyzer.vala: support
	  addressof expressions for reference types, fixes bug 514495

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix crash when casting an invalid
	  expression, fixes bug 514331

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valastruct.vala: improve error reporting
	  for methods missing the return type, fixes bug 514344

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix error message for invalid
	  symbols, fixes bug 514329

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala: improve error reporting for properties,
	  fixes bug 514326

	* tests/classes-properties.vala: fix test case

2008-02-05  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala: don't use construction properties
	  for classes not deriving from GObject, fixes bug 514323

2008-02-04  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valadelegatetype.vala,
	  gobject/valaccodeassignmentbinding.vala: don't crash when using
	  delegate properties, fixes bug 514261

2008-02-04  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsourcefile.vala: don't write C file in
	  case of errors, fixes bug 514259

2008-02-04  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valainterface.vala, vala/valastruct.vala,
	  gobject/valaccodegeneratormethod.vala: don't generate result
	  variable when not using postconditions to avoid unnecessary name
	  conflicts with method parameters

2008-02-04  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: fix .vapi location without -d option

2008-02-04  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodeassignmentbinding.vala: add missing
	  visit_expression call for assignments, fixes bug 514255

2008-02-03  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/json-glib-1.0.vapi,
	  vapi/packages/json-glib-1.0/: add JSON-GLib bindings,
	  patch by Ali Sabil

2008-02-03  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valacodecontext.vala,
	  compiler/valacompiler.vala, vapigen/valavapigen.vala: move
	  get_package_path method to libvala

2008-02-03  Raffaele Sandrini  <raffaele@sandrini.ch>

	* tests/arrays.vala: extend the array test with an array of structs
	  declared through the "var" keyword
	* vala/valasemanticanalyzer.vala: fix a memory management bug with
	  arrays of struct elements

2008-02-03  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: set requires_null_check for nullable
	  parameters, they're not local variables

	* vapi/gtk+-2.0.vapi: regenerated

2008-02-03  Jürg Billeter  <j@bitron.ch>

	* vala/scanner.l: accept carriage returns in source files

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaproperty.vala: add missing return statement

2008-02-02  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodeassignmentbinding.vala
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorclass.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodegeneratormethod.vala, vala/valadatatype.vala: add
	  very basic support for properties serving real (non fundamental)
	  structs, they are unboxed and therefore not yet known by the GObject
	  type system when declared

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: use --directory when writing vapi file

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* vala/valasourcefile.vala: remove basedir workaround used for
	  backward compatibility, so that --library without --basedir
	  works as expected

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/gio-2.0.vapi,
	  vapi/gnome-vfs-2.0.vapi, vapi/gstreamer-0.10.vapi,
	  vapi/gstreamer-audio-0.10.vapi, vapi/gstreamer-base-0.10.vapi,
	  vapi/gstreamer-interfaces-0.10.vapi, vapi/gstreamer-rtp-0.10.vapi,
	  vapi/gstreamer-tag-0.10.vapi, vapi/gtk+-2.0.vapi,
	  vapi/libglade-2.0.vapi, vapi/liboobs-1.vapi, vapi/libsoup-2.2.vapi,
	  vapi/libsoup-2.4.vapi, vapi/libwnck-1.0.vapi, vapi/pango.vapi,
	  vapi/vte.vapi, vapi/WebKitGtk.vapi: regenerated

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/gidl.vapi, vapigen/valagidlparser.vala:
	  improve support for virtual methods,
	  based on patch by Michael Lawrence, fixes bug 452019

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/packages/gdk-x11-2.0/, vapi/gdk-x11-2.0.deps,
	  vapi/gdk-x11-2.0.vapi: add gdk-x11-2.0 bindings,
	  patch by Maciej Piechotka, fixes bug 510336

2008-02-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaproperty.vala, gobject/valaccodegeneratorinterface.vala:
	  support [Description (nick = "foo", blurb = "bar")] attribute,
	  based on patch by Juan Carlos Girardi, fixes part of bug 437434

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaproperty.vala, vala/valasemanticanalyzer.vala:
	  report error when declaring static properties

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error for binary
	  expressions with invalid operands, fixes bug 513708

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/valacatchclause.vala, vala/valacfgbuilder.vala,
	  vala/valasemanticanalyzer.vala: fix crash when using general
	  catch clause, fixes bug 513680

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala, vala/valatrystatement.vala: add basic
	  support for exceptional control flow

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/scanner.l: fix typo in hex_digit

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodevariabledeclarator.vala,
	  gobject/valaccodegenerator.vala: 0-initialize temporary struct
	  variables to avoid passing uninitialized structs by reference,
	  fixes bug 513144

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix casts to delegate types

2008-02-01  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaarraytype.vala, vala/valadatatype.vala,
	  vala/valaintegertype.vala, vala/valanulltype.vala,
	  vala/valapointertype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valaunresolvedtype.vala,
	  ccode/valaccodeassignment.vala, ccode/valaccodebinaryexpression.vala,
	  gobject/valaccodegenerator.vala: add more non-null warnings

2008-01-31  Jürg Billeter  <j@bitron.ch>

	* vapi/atk.vapi, vapi/gdk-pixbuf-2.0.vapi, vapi/gstreamer-0.10.vapi,
	  vapi/gstreamer-controller-0.10.vapi,
	  vapi/gstreamer-interfaces-0.10.vapi, vapi/gstreamer-rtsp-0.10.vapi,
	  vapi/gstreamer-video-0.10.vapi, vapi/gtk+-2.0.vapi,
	  vapi/poppler-glib.vapi: regenerated

2008-01-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-desktop-2.0/: update to gnome-desktop 2.21.90

	* vapi/gnome-desktop-2.0.vapi: regenerated

2008-01-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/pango/: update to pango 1.19.3

	* vapi/pango.vapi: regenerated

2008-01-31  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: update to glib 2.15.4

	* vapi/gio-2.0.vapi: regenerated

2008-01-31  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/libsoup-2.4.deps, vapi/libsoup-2.4.vapi,
	  vapi/packages/libsoup-2.4/: add libsoup-2.4 bindings

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GBookmarkFile bindings,
	  patch by Emmanuele Bassi, fixes bug 513059

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GSequence bindings,
	  based on patch by Daniel Svensson, fixes bug 512938

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/gio-unix-2.0.deps, vapi/gio-unix-2.0.vapi,
	  vapi/packages/gio-unix-2.0/: add gio-unix-2.0 bindings,
	  based on patch by Mikael Hermansson, fixes bug 512926

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: enhance GOption bindings,
	  based on patch by Maciej Piechotka, fixes bug 512840

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when using automatic
	  properties in interfaces, fixes bug 513157

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when trying to add
	  instance fields to interfaces, fixes bug 513152

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: output # for properties transferring
	  ownership

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vala/valacreationmethod.vala: default cname should be _init instead
	  of _new for creation methods in structs

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: don't output overridden properties

2008-01-30  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am, vapi/WebKitGtk.deps, vapi/WebKitGtk.vapi,
	  vapi/packages/WebKitGtk/: add WebKit bindings

2008-01-29  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala, vapi/glib-2.0.vapi: bind GString
	  as GLib.StringBuilder to avoid confusion between string and String

2008-01-29  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala: fix crash on invalid code, fixes bug 512306

2008-01-29  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: enhance GError binding

2008-01-29  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libsoup-2.2/: fix SoupDataBuffer binding

	* vapi/libsoup-2.2.vapi: regenerated

2008-01-29  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support transfer_ownership attribute
	  for function parameters

	* vapi/packages/libsoup-2.2/: fix soup_session_queue_message binding

	* vapi/libsoup-2.2.vapi: regenerated

2008-01-28  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: support [NoWrapper] attribute for
	  virtual methods

2008-01-28  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: remove unnecessary if statement

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormemberaccess.vala: fix struct pointer
	  member access

	* tests/Makefile.am, tests/pointers.vala, tests/pointers.exp: test
	  struct pointers

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix critical when using normal member
	  access on pointers

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GValue binding

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: bind message output functions

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: report error instead of warning when
	  trying to implicitly copy non-reference counted object

2008-01-27  Raffaele Sandrini  <raffaele@sandrini.ch>

	* gobject/valaccodegeneratorsignal.vala: fix regression introduced
	  with libgee regarding marshaller generation

2008-01-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: complete GList and GSList bindings

2008-01-26  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-audio-0.10/,
	  vapi/packages/gstreamer-fft-0.10/,
	  vapi/packages/gstreamer-interfaces-0.10/,
	  vapi/packages/gstreamer-netbuffer-0.10/,
	  vapi/packages/gstreamer-pbutils-0.10/,
	  vapi/packages/gstreamer-riff-0.10/,
	  vapi/packages/gstreamer-rtp-0.10/,
	  vapi/packages/gstreamer-rtsp-0.10/,
	  vapi/packages/gstreamer-sdp-0.10/,
	  vapi/packages/gstreamer-tag-0.10/,
	  vapi/packages/gstreamer-video-0.10/: fix cheader_filename of GStreamer
	  libraries, patch by Maciej Piechotka, fixes bug 510834

	* vapi/gstreamer-audio-0.10.vapi, vapi/gstreamer-fft-0.10.vapi,
	  vapi/gstreamer-interfaces-0.10.vapi,
	  vapi/gstreamer-netbuffer-0.10.vapi, vapi/gstreamer-pbutils-0.10.vapi,
	  vapi/gstreamer-riff-0.10.vapi, vapi/gstreamer-rtp-0.10.vapi,
	  vapi/gstreamer-rtsp-0.10.vapi, vapi/gstreamer-sdp-0.10.vapi,
	  vapi/gstreamer-tag-0.10.vapi, vapi/gstreamer-video-0.10.vapi:
	  regenerated

2008-01-26  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y: fix critical on parse error in lambda expression,
	  fixes bug 511887

2008-01-26  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix crash with invalid invocation
	  expressions, fixes bug 511823

2008-01-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix crash when using type without
	  copy function, fixes bug 511821

2008-01-24  Jürg Billeter  <j@bitron.ch>

	* vala/valaarraytype.vala, vala/valadatatype.vala,
	  vala/valainterfacewriter.vala, vala/valanulltype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala,
	  gobject/valaccodegeneratorsignal.vala: use ArrayType class

2008-01-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vala/parser.y: allow constant declarations in structs

2008-01-24  Raffaele Sandrini  <raffaele@sandrini.ch>

	* vala/parser.y: report initializers in struct fields as error

2008-01-24  Jürg Billeter  <j@bitron.ch>

	* gen-project/valaprojectgenerator.vala: use valac -C in generated
	  Makefile.am and fix GtkTextBuffer.get_text call in generated source
	  code

2008-01-24  Jürg Billeter  <j@bitron.ch>

	* vala/valacfgbuilder.vala: build control flow graph for switch
	  statements, report missing break statements at end of switch
	  sections, fixes bug 511644

	* tests/statements-selection.vala: test switch checks

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/: fix gdk_pixdata_serialize binding

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/: fix GdkPixdata binding

	* vapi/gdk-pixbuf-2.0.vapi: regenerated

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaintegertype.vala: override copy method

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-base-0.10/,
	  vapi/packages/gstreamer-controller-0.10/,
	  vapi/packages/gstreamer-dataprotocol-0.10/,
	  vapi/packages/gstreamer-net-0.10/: fix cheader_filename of GStreamer
	  base libraries, fixes part of bug 510834

	* vapi/gstreamer-base-0.10.vapi, vapi/gstreamer-controller-0.10.vapi,
	  vapi/gstreamer-dataprotocol-0.10.vapi, vapi/gstreamer-net-0.10.vapi:
	  regenerated

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/valamethodtype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasignaltype.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala: improve generic type
	  resolution to support generic fields, fixes bug 475524

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/valadelegatetype.vala: fix symbol dependency for delegates,
	  fixes bug 511555

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix crash on invalid operand,
	  fixes bug 511546

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valabasicblock.vala, vala/valacfgbuilder.vala,
	  vala/valadostatement.vala, vala/valaforstatement.vala,
	  vala/valaifstatement.vala, vala/valamemorymanager.vala,
	  vala/valamethod.vala, vala/valasemanticanalyzer.vala,
	  vala/valasymbolresolver.vala, vala/valawhilestatement.vala,
	  gobject/valaccodegenerator.vala, compiler/valacompiler.vala: build
	  control flow graph, report error for missing return statement in
	  non-void methods, and report warning for unreachable code,
	  fixes bug 508480

	* tests/exceptions.vala: add missing return statement

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* tests/Makefile.am, tests/testrunner.sh: honor EXEEXT to fix tests
	  on Cygwin and MinGW, patch by Yaakov Selkowitz, fixes bug 511438

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: emit namespace constants,
	  fixes bug 511383

2008-01-23  Jürg Billeter  <j@bitron.ch>

	* vala/valaenumvalue.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorsourcefile.vala: allow string comparison
	  with null, use strcmp instead of g_utf8_collate for string operators,
	  fixes bug 506199

	* tests/Makefile.am, tests/strings.vala, tests/strings.exp: test
	  string operators

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support metadata attributes for signal
	  parameters

	* vapi/packages/gtk+-2.0/: fix GtkWidget::key_*_event bindings,
	  fixes bug 505062

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: use char[] instead of string for byte buffers,
	  fixes bug 501690

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaintegertype.vala,
	  vala/valasemanticanalyzer.vala, vapi/glib-2.0.vapi: improve implicit
	  conversion from integer literals, fixes bug 492475

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: update ranks of integer types to allow more
	  implicit conversions where it makes sense

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: support length field for array
	  constants

	* tests/arrays.vala: test length field of array constants

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* tests/Makefile.am, tests/arrays.exp, tests/arrays.vala: add element
	  access tests to array tests

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: check type of variable initializer

	* gee/hashmap.vala, gee/hashset.vala, vala/valasymbol.vala: fix invalid
	  variable initializers

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-pixbuf-2.0/, vapi/packages/gdk-2.0/,
	  vapi/gdk-pixbuf-2.0.vapi, vapi/gdk-2.0.vapi: add bindings for
	  gdk-pixbuf-2.0, fixes bug 501589

	* vapi/packages/gnome-desktop-2.0/, vapi/packages/gtk+-2.0/,
	  vapi/packages/gtksourceview-2.0/, vapi/packages/hildon-1/,
	  vapi/packages/libglade-2.0/, vapi/packages/libgnomeui-2.0/,
	  vapi/packages/libnotify/. vapi/packages/libwnck-1.0/.
	  vapi/packages/poppler-glib/, vapi/packages/vte/, vapi/gdk-2.0.deps,
	  vapi/gnome-desktop-2.0.deps, vapi/gtk+-2.0.deps,
	  vapi/gtksourceview-2.0.deps, vapi/hildon-1.deps,
	  vapi/libglade-2.0.deps, vapi/libgnomeui-2.0.deps, vapi/libnotify.deps,
	  vapi/libwnck-1.0.deps, vapi/poppler-glib.deps, vapi/vte.deps: update
	  dependencies

	* vapi/Makefile.am: updated

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* gee/arraylist.vala, gee/hashmap.vala, gee/hashset.vala,
	  gee/iterable.vala, gee/readonlycollection.vala, gee/readonlylist.vala,
	  gee/readonlyset.vala: add get_element_type method to Gee.Iterable

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support cheader_filename metadata
	  attribute for enums

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* vala/scanner.l: fix nullable types for local variables

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* gee/hashmap.vala, gee/hashset.vala: remove unneeded type casts

2008-01-22  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodearraycreationexpressionbinding.vala,
	  gobject/valaccodegenerator.vala: fix array creation expressions with
	  side-effects, fixes bug 472984

	* tests/arrays.vala: test array creation expressions with side-effects

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* tests/Makefile.am, tests/arrays.exp, tests/arrays.vala: combine array
	  tests in one file

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: set base_method also in VAPI classes
	  for virtual and abstract methods, fixes `base´ access

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala, vapigen/valavapigen.vala: add --quiet
	  option to valac and vapigen,
	  patch by Emmanuele Bassi, fixes bug 510998

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: improve generic type resolution, add
	  type checking for element type in foreach statement,
	  based on patch by Hans Vercammen, fixes bug 510852

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala, vapigen/valagidlparser.vala:
	  fix foreach statements

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/pango/: fix pango_layout_iter_get_line_yrange binding

	* vapi/pango.vapi: regenerated

2008-01-21  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/poppler-glib/: fix poppler_page_get_size binding,
	  fixes bug 510781

	* vapi/poppler-glib.vapi: regenerated

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/scanner.c: support type_t naming convention

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support hiding enums

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.1.6 release

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add bindings for GLib testing framework,
	  fixes bug 510574

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: add support for common_prefix
	  attribute to override prefix of enum values

	* vapi/packages/gdk-2.0/: fix GdkWindowClass binding,
	  fixes bug 509967

	* vapi/gdk-2.0.vapi: regenerated

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtksourceview-2.0/: update to gtksourceview 2.1.0

	* vapi/gtksourceview-2.0.vapi: regenerated

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libgnomeui-2.0/: update to libgnomeui 2.21.5

	* vapi/libgnomeui-2.0.vapi: regenerated

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: update to glib 2.15.2

	* vapi/gio-2.0.vapi: regenerated

2008-01-19  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala, vala/valasemanticanalyzer.vala: VAPI
	  classes don't specify overridden methods or properties, fix generic
	  type argument tracing to use the same algorithm as inherited symbol
	  lookup

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/gidlparser.c,
	  gobject-introspection/scannerlexer.l,
	  gobject-introspection/scannerparser.y: support C99 _Bool type

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/scanner.l: support nested generic types, fixes bug 443522

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/valavoidtype.vala: implement get_cname method

	* gobject/valaccodegenerator.vala: cast function pointers to callback
	  type, fixes bug 510262

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: fix memory leaks in g_file_new_for_* binding,
	  fixes bug 509884

	* vapi/gio-2.0.vapi: regenerated

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: write [NoArrayLength] for fields

	* vapigen/valagidlparser.vala: set no_array_length for fields

	* vapi/packages/gtk+-2.0/: fix GtkRecentData binding, fixes bug 509168

	* vapi/gdk-2.0.vapi, vapi/gstreamer-0.10.vapi,
	  vapi/gstreamer-audio-0.10.vapi, vapi/gstreamer-dataprotocol-0.10.vapi,
	  vapi/gstreamer-fft-0.10.vapi, vapi/gstreamer-net-0.10.vapi,
	  vapi/gstreamer-netbuffer-0.10.vapi, vapi/gstreamer-rtsp-0.10.vapi,
	  vapi/gstreamer-tag-0.10.vapi, vapi/gtk+-2.0.vapi, vapi/hildon-1.vapi,
	  vapi/vte.vapi: regenerated

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/valacodenode.vala, vala/valasemanticanalyzer.vala: don't output
	  full source file path in generated C code

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: don't generate public setter for
	  construct-only properties, fixes bug 479062

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/scanner.l, vala/parser.y: support pointers as generic type
	  arguments

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix iteration over collections
	  passed by ref parameter using foreach,
	  patch by Hans Vercammen, fixes bug 510419

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vala/valanulltype.vala, vala/valasemanticanalyzer.vala: simplify
	  conditional expression type analysis, fixes crash

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratormethod.vala: fix methods with ref array
	  parameters, based on patch by Hans Vercammen, fixes bug 510418

2008-01-18  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GOptionFlags binding

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valacodecontext.vala, compiler/valacompiler.vala:
	  add [Conditional (condition = "CONDITION")] attribute for methods,
	  fixes bug 434515

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix color parameters of
	  gtk_widget_modify_*

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vapi/Makefile.am: append gee.vapi to vala-1.0.vapi

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: remove gstreamer-base-0.10 bindings
	* vapi/gstreamer-0.10.vapi: regenerated

	* vapi/gstreamer-audio-0.10.deps, vapi/gstreamer-audio-0.10.vapi,
	  vapi/packages/gstreamer-audio-0.10/: add gstreamer-audio-0.10 bindings

	* vapi/gstreamer-base-0.10.deps, vapi/gstreamer-base-0.10.vapi,
	  vapi/packages/gstreamer-base-0.10/: add gstreamer-base-0.10 bindings

	* vapi/gstreamer-check-0.10.deps, vapi/gstreamer-check-0.10.vapi,
	  vapi/packages/gstreamer-check-0.10/: add gstreamer-check-0.10 bindings

	* vapi/gstreamer-controller-0.10.deps,
	  vapi/gstreamer-controller-0.10.vapi,
	  vapi/packages/gstreamer-controller-0.10/: add
	  gstreamer-controller-0.10 bindings

	* vapi/gstreamer-dataprotocol-0.10.deps,
	  vapi/gstreamer-dataprotocol-0.10.vapi,
	  vapi/packages/gstreamer-dataprotocol-0.10/: add
	  gstreamer-dataprotocol-0.10 bindings

	* vapi/gstreamer-fft-0.10.deps, vapi/gstreamer-fft-0.10.vapi,
	  vapi/packages/gstreamer-fft-0.10/: add gstreamer-fft-0.10 bindings

	* vapi/gstreamer-interfaces-0.10.deps,
	  vapi/gstreamer-interfaces-0.10.vapi,
	  vapi/packages/gstreamer-interfaces-0.10/: add
	  gstreamer-interfaces-0.10 bindings

	* vapi/gstreamer-net-0.10.deps, vapi/gstreamer-net-0.10.vapi,
	  vapi/packages/gstreamer-net-0.10/: add gstreamer-net-0.10 bindings

	* vapi/gstreamer-netbuffer-0.10.deps,
	  vapi/gstreamer-netbuffer-0.10.vapi,
	  vapi/packages/gstreamer-netbuffer-0.10/: add gstreamer-netbuffer-0.10
	  bindings

	* vapi/gstreamer-pbutils-0.10.deps, vapi/gstreamer-pbutils-0.10.vapi,
	  vapi/packages/gstreamer-pbutils-0.10/: add gstreamer-pbutils-0.10
	  bindings

	* vapi/gstreamer-riff-0.10.deps, vapi/gstreamer-riff-0.10.vapi,
	  vapi/packages/gstreamer-riff-0.10/: add gstreamer-riff-0.10 bindings

	* vapi/gstreamer-rtp-0.10.deps, vapi/gstreamer-rtp-0.10.vapi,
	  vapi/packages/gstreamer-rtp-0.10/: add gstreamer-rtp-0.10 bindings

	* vapi/gstreamer-rtsp-0.10.deps, vapi/gstreamer-rtsp-0.10.vapi,
	  vapi/packages/gstreamer-rtsp-0.10/: add gstreamer-rtsp-0.10 bindings

	* vapi/gstreamer-sdp-0.10.deps, vapi/gstreamer-sdp-0.10.vapi,
	  vapi/packages/gstreamer-sdp-0.10/: add gstreamer-sdp-0.10 bindings

	* vapi/gstreamer-tag-0.10.deps, vapi/gstreamer-tag-0.10.vapi,
	  vapi/packages/gstreamer-tag-0.10/: add gstreamer-tag-0.10 bindings

	* vapi/gstreamer-video-0.10.deps, vapi/gstreamer-video-0.10.vapi,
	  vapi/packages/gstreamer-video-0.10/: add gstreamer-video-0.10 bindings

	* vapi/Makefile.am: updated

	Fixes bug 471064

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GScanner bindings,
	  based on patch by Stéphan Kochen, fixes bug 508998

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: pass non-simple structs also in
	  object creation expressions always by reference, fixes bug 510029

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: remove outdated type name heuristics,
	  fixes bug 509597

	* vapi/packages/gdk-2.0/, vapi/packages/gstreamer-0.10/,
	  vapi/packages/gtk+-2.0/, vapi/packages/libgnome-2.0/: fix type names
	  in metadata

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/gio-2.0.vapi,
	  vapi/gnome-vfs-2.0.vapi, vapi/gstreamer-0.10.vapi,
	  vapi/libgnomeui-2.0.vapi, vapi/libsoup-2.2.vapi, vapi/pango.vapi:
	  regenerated

2008-01-17  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorsignal.vala: fix gcc warning for signals
	  with string parameters, fixes bug 509177

2008-01-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinterface.vala,
	  gobject/valaccodegeneratorsignal.vala: support signals with
	  ref or out parameters

2008-01-15  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix g_pattern_spec_equal binding

2008-01-15  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valaclass.vala,
	  vala/valainterface.vala, vala/valamethod.vala,
	  vala/valasemanticanalyzer.vala, vala/valastruct.vala,
	  gobject/valaccodegeneratormethod.vala: add basic support for
	  method pre- and postconditions

2008-01-14  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valainvocationexpression.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala: add support for instance
	  delegates, fixes bug 508734

	* tests/delegates.exp, tests/delegates.vala: test instance delegates

2008-01-12  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/parser.y, vala/vala.h,
	  vala/valaattributeprocessor.vala, vala/valacodecontext.vala,
	  vala/valacodegenerator.vala, vala/valacodevisitor.vala,
	  vala/valadatatype.vala, vala/valadelegate.vala,
	  vala/valadelegatetype.vala, vala/valainterfacewriter.vala,
	  vala/valanamespace.vala, vala/valanulltype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasignal.vala,
	  vala/valasymbolresolver.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  vapigen/valagidlparser.vala: rename Callback to Delegate

2008-01-12  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: add some missing ellipsis and out
	  parameter metadata for gst_structure and gst_element functions,
	  patch by Andrea Del Signore

	* vapi/gstreamer-0.10.vapi: regenerated

2008-01-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: use separate temp_vars list for
	  lambda expressions to prevent mixup in the C code

2008-01-12  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: restore current_return_type
	  after processing lambda expressions, fixes bug 501586

2008-01-12  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: fix null dereference when trying to
	  access members of a delegate

2008-01-11  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorclass.vala,
	  gobject/valaccodegeneratorinterface.vala: use parent_instance,
	  parent_class, and parent_iface instead of just parent in C structs

2008-01-11  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/hildon-1/hildon-1.gi, vapi/hildon-1.vapi: regenerated,
	  fixes issue with Hildon.BreadCrumb

2008-01-11  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/: update from gobject-introspection SVN,
	  fixes bug 505920

	* vapigen/vala-gen-introspect/vala-gen-introspect.in: fix to work
	  with updated gobject-introspection

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-desktop-2.0/: update to gnome-desktop 2.21.4

	* vapi/gnome-desktop-2.0.vapi: regenerated

	* vapi/gnome-desktop-2.0.deps, vapi/Makefile.am: add dependency file

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/: update to glib 2.15.1

	* vapi/gio-2.0.vapi: regenerated

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala, compiler/valacompiler.vala,
	  vapi/glib-2.0.vapi, vapigen/valavapigen.vala: fix memory management
	  of out parameters, fixes bug 501838

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vala/valamemorymanager.vala: fix memory management of property
	  getters with ownership transfer, fixes bug 505713

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix binding of textdomain, fixes bug 508453

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix gtk_window_get_position

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix memory management of string
	  literals

2008-01-10  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: check in/ref/out arguments

	* vapi/packages/gtk+-2.0/gtk+-2.0-custom.vala: fix gtk_init

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add bindings for uri functions

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix gtk_accelerator_parse

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add bindings for data checksums

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala: fix crash when data_type property is null

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: minor fixes

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add size_t and ssize_t

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add binding for g_find_program_in_path

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: report error when using invalid
	  expression for ref/out arguments, fixes bug 480022

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* gee/hashmap.vala: add return statements to silence C compiler

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support nullable attribute in metadata

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: set nullable attribute for
	  GtkTreeIter parameters where appropriate

	* vapi/gtk+-2.0.vapi, vapi/pango.vapi: regenerated

2008-01-09  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valaclass.vala,
	  vala/valacodecontext.vala, vala/valadatatype.vala,
	  vala/valainterface.vala, vala/valanulltype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala,
	  vala/valaunresolvedtype.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala, compiler/valacompiler.vala:

	  Use non-null types by default when passing --enable-non-null to valac,
	  `?´ marks nullable types, deprecate `!´ to mark non-null types,
	  fixes bug 504222

2008-01-08  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: fix memory management with simple
	  conditional expressions, fixes bug 501587

	* tests/expressions-conditional.exp, tests/expressions-conditional.vala:
	  test conditional expression with strings

2008-01-08  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala, vala/valastruct.vala,
	  vapigen/valagidlparser.vala: support simple_type attribute in metadata

	* vapi/packages/gdk-2.0/gdk-2.0.metadata: mark GdkAtom as simple type

	* vapi/gdk-2.0.vapi: regenerated

2008-01-08  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/: fix GtkTreeViewDropPosition out parameters

	* vapi/gtk+-2.0.vapi: regenerated

2008-01-07  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support throws attribute in metadata

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.metadata: fix error
	  parameters in gst_message_* functions

	* vapi/gstreamer-0.10.vapi: regenerated

	Patch by Andrea Del Signore, fixes bug 507460

2008-01-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add missing bindings for g_filename_*,
	  fixes bug 507447

2008-01-07  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add binding for memmove

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: fix GMarkupParser, patch by Travis Watkins

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libgnome-menu/: add metadata, patch by Travis Watkins

	* vapi/libgnome-menu.vapi: regenerated

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala, ccode/valaccodemodifiers.vala:
	  support public static fields with initializers, fixes bug 506749

	* tests/classes-fields.exp, tests/classes-fields.vala: test public
	  static fields

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala,
	  ccode/valaccodeformalparameter.vala: add limited support for defining
	  methods with variable argument list

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: remove close method from FileStream class as it's
	  also the implicitly called free function, fixes bug 506817

2008-01-03  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: default to in parameters for structs
	  passed by reference, support is_ref attribute in metadata

	* vapi/packages/gdk-2.0/, vapi/packages/gtk+-2.0/,
	  vapi/packages/hildon-1/, vapi/packages/pango/, vapi/packages/vte/: fix
	  parameter directions, fixes bug 506426

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/gio-2.0.vapi,
	  vapi/gtk+-2.0.vapi, vapi/gtksourceview-2.0.vapi, vapi/hildon-1.vapi,
	  vapi/libgnome-2.0.vapi, vapi/pango.vapi, vapi/poppler-glib.vapi,
	  vapi/vte.vapi: regenerated

2007-12-27  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support base_class attribute for
	  non-GObject classes

2007-12-27  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: fix symbol modifiers,
	  based on patch by Andrea Del Signore, fixes bug 505804

2007-12-26  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: fix signature of
	  Gtk.Window.get_size, fixes bug 505061

	* vapi/gtk+-2.0.vapi: regenerated

2007-12-26  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratormemberaccess.vala: fix member access in
	  interface methods, fixes bug 504338

	* tests/Makefile.am, tests/interfaces-properties.exp,
	  tests/interfaces-properties.vala: test interface properties

2007-12-26  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala: fix crash on unresolved type name,
	  fixes bug 504014

2007-12-26  Roberto Majadas  <telemaco@openshine.com>

	* vapi/Makefile.am, vapi/liboobs-1.vapi, vapi/packages/liboobs-1/: add
	  liboobs-1 bindings

2007-12-26  Roberto Majadas  <telemaco@openshine.com>

	* vapi/packages/libgnome-menu/libgnome-menu.metadata: set
	  cheader_filename

	* vapi/libgnome-menu.vapi: regenerated

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valainvalidtype.vala,
	  vala/valasemanticanalyzer.vala, gobject/valaccodegeneratormethod.vala:
	  add InvalidType class

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vapi/gtk+-2.0.vapi, vapi/packages/gtk+-2.0/: hide deprecated
	  GtkProgress class

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vala/valainterfacewriter.vala: fix writing delegate types

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala: fix void types with vapigen

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vapi/gio-2.0.vapi, vapi/packages/gio-2.0/: update to glib 2.15.0

2007-12-24  Jürg Billeter  <j@bitron.ch>

	* vala/valasignal.vala: fix interface signals

2007-12-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/Makefile.am, gen-project/Makefile.am: build vapigen and
	  vala-gen-project with newly built valac

2007-12-20  Jürg Billeter  <j@bitron.ch>

	* vapi/libxml-2.0.vapi: add tree and xpath bindings, use pointers,
	  based on patch by Ondřej Jirman

2007-12-20  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valacodecontext.vala,
	  vala/valadatatype.vala, vala/valamemberaccess.vala,
	  vala/valapointertype.vala, vala/valasemanticanalyzer.vala,
	  gobject/valadbusbindingprovider.vala: add support for pointer member
	  access

2007-12-18  Jürg Billeter  <j@bitron.ch>

	* vapi/sqlite3.vapi: some enhancements to the SQLite bindings

2007-12-18  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaattributeprocessor.vala,
	  vala/valaconstant.vala: support cname attribute for constants

2007-12-18  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y: support PointerType for parameters

2007-12-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorclass.vala: avoid critical warning when
	  using abstract properties, fixes bug 503444

2007-12-16  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratormethod.vala: cast return value of
	  g_type_create_instance to avoid gcc warning, fixes bug 503411

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala,
	  gobject/valaccodeassignmentbinding.vala,
	  gobject/valaccodegenerator.vala, gobject/valaccodegeneratorclass.vala,
	  compiler/valacompiler.vala, doc/valac.1: remove option to disable
	  automatic memory management, manual memory management is now possible
	  with pointers

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valadatatype.vala, vala/valanulltype.vala,
	  vala/valapointer.vala, vala/valasemanticanalyzer.vala,
	  vala/valatypesymbol.vala, gobject/valaccodegeneratormethod.vala:
	  remove Pointer class

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* gee/hashmap.vala, gee/hashset.vala: update to be compatible with new
	  pointer types

	* vala/parser.y, vala/vala.h, vala/valaclass.vala,
	  vala/valadatatype.vala, vala/valamemorymanager.vala,
	  vala/valanulltype.vala, vala/valapointertype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasymbolresolver.vala,
	  vala/valavoidtype.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala: use PointerType

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaarraytype.vala, vala/valaclass.vala,
	  vala/valaclasstype.vala, vala/valainterface.vala,
	  vala/valainterfacetype.vala, vala/valareferencetype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasignal.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodegeneratormethod.vala,
	  gobject/valadbusbindingprovider.vala: add ClassType and InterfaceType
	  classes, let ArrayType derive from ReferenceType, mark ReferenceType
	  as abstract

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valasemanticanalyzer.vala: refactor
	  collection type check

2007-12-15  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valasemanticanalyzer.vala,
	  vapi/glib-2.0.vapi: move is_type_compatible method from
	  SemanticAnalyzer to DataType

2007-12-14  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasourcefile.vala: add add_type_dependency method to SourceFile

2007-12-14  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/valamemorymanager.vala: move reference
	  type check from MemoryManager to DataType

2007-12-14  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valadatatype.vala, vala/valadelegatetype.vala,
	  vala/valafield.vala, vala/valaformalparameter.vala,
	  vala/valainterfacewriter.vala, vala/valainvokable.vala,
	  vala/valamemorymanager.vala, vala/valamethod.vala,
	  vala/valamethodtype.vala, vala/valasemanticanalyzer.vala,
	  vala/valasignal.vala, vala/valasignaltype.vala,
	  vala/valasymbolresolver.vala, vala/valavariabledeclarator.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala: replace Invokable
	  interface by DelegateType, MethodType, and SignalType classes

2007-12-14  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratorinvocationexpression.vala: fix exception
	  handling with ellipsis parameters

2007-12-12  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala: readd support for void UnresolvedType,
	  still required for vapigen

	* gobject-introspection/gidl.vapi: add IdlNodeUnion

	* vapigen/valagidlparser.vala: add support for unions

	* vapi/packages/libgnome-2.0/, vapi/packages/libgnomeui-2.0/: remove
	  bindings for deprecated functions

	* vapi/gconf-2.0.vapi, vapi/gio-2.0.vapi, vapi/gnome-vfs-2.0.vapi,
	  vapi/gstreamer-0.10.vapi, vapi/libgnome-2.0.vapi,
	  vapi/libgnomeui-2.0.vapi, vapi/libnotify.vapi, vapi/libsoup-2.2.vapi,
	  vapi/poppler-glib.vapi: regenerated

2007-12-12  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: support assignment of lambda
	  expressions to local variables

2007-12-12  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: verify that the `abstract', `virtual',
	  and `overrides' method modifiers are used only where applicable

2007-12-12  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegeneratormethod.vala: fix invalid C code for virtual
	  interface method implementations

	* tests/interfaces.exp, tests/interfaces.vala: test virtual interface
	  method implementations

2007-12-12  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valadatatype.vala,
	  vala/valasymbolresolver.vala, vala/valavoidtype.vala: always use
	  VoidType

	* tests/delegates.exp, tests/delegates.vala: test delegates with void
	  return types

2007-12-09  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/, vapi/packages/gtk+-2.0/, vapi/packages/pango/:
	  add missing files

2007-12-09  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gdk-2.0/, vapi/packages/gtk+-2.0/,
	  vapi/packages/gtk+-2.0/, vapi/packages/pango/: remove bindings for
	  deprecated functions

	* vapi/atk.vapi, vapi/gdk-2.0.vapi, vapi/gtk+-2.0.vapi, vapi/pango.vapi:
	  regenerated

2007-12-09  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add GTimer and g_list_insert_sorted,
	  patch by Mikael Hermansson

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala, gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormethod.vala,
	  gobject/valadbusbindingprovider.vala: use subclasses of DataType

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/valacreationmethod.vala, vala/valasemanticanalyzer.vala,
	  gobject/valaccodegeneratormethod.vala: fix return type for creation
	  methods

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/valaarray.vala, vala/valaclass.vala, vala/valaenum.vala,
	  vala/valainterface.vala, vala/valareferencetype.vala,
	  vala/valasemanticanalyzer.vala, vala/valasignal.vala,
	  vala/valastruct.vala, gobject/valaccodegeneratormethod.vala,
	  gobject/valadbusbindingprovider.vala: use subclasses of DataType

2007-12-04  Jürg Billeter  <j@bitron.ch>

	Update svn:ignore property.

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valanulltype.vala, vala/valavoidtype.vala,
	  gobject/valaccodegenerator.vala: add NullType and VoidType classes

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/valaarraytype.vala, vala/valapointertype.vala,
	  vala/valareferencetype.vala, vala/valavaluetype.vala,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala: add ArrayType,
	  PointerType, ReferenceType, and ValueType classes

2007-12-04  Jürg Billeter  <j@bitron.ch>

	* vala/valasymbolresolver.vala: don't call replace_type when type
	  resolving failed

2007-12-03  Roberto Majadas  <telemaco@openshine.com>

	* vapi/libgnome-menu.* : Added libgnome-menu vapi files
	* vapi/packages/libgnome-menu.* : Added libgnome-menu package files

2007-12-03  Jürg Billeter  <j@bitron.ch>

	* vala/valasizeofexpression.vala, vala/valatypeofexpression.vala:
	  implement replace_type for sizeof and typeof expressions

2007-12-02  Jürg Billeter  <j@bitron.ch>

	* vala/Makefile.am, vala/parser.y, vala/vala.h,
	  vala/valaarraycreationexpression.vala, vala/valacallback.vala,
	  vala/valacastexpression.vala, vala/valacatchclause.vala,
	  vala/valaclass.vala, vala/valacodenode.vala,
	  vala/valacodevisitor.vala, vala/valaconstant.vala,
	  vala/valadatatype.vala, vala/valafield.vala,
	  vala/valaforeachstatement.vala, vala/valaformalparameter.vala,
	  vala/valainterface.vala, vala/valainterfacewriter.vala,
	  vala/valalocalvariabledeclaration.vala, vala/valamemberaccess.vala,
	  vala/valamemorymanager.vala, vala/valamethod.vala,
	  vala/valaobjectcreationexpression.vala, vala/valaproperty.vala,
	  vala/valasignal.vala, vala/valastruct.vala,
	  vala/valasymbolresolver.vala, vala/valatypecheck.vala,
	  vala/valaunresolvedtype.vala, vala/valavariabledeclarator.vala,
	  gobject/valaccodegenerator.vala, vapigen/valagidlparser.vala: move
	  unresolved type information from DataType into new UnresolvedType
	  class, replace UnresolvedType instance by resolved DataType in
	  SymbolResolver

2007-12-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaaddressofexpression.vala, vala/valaassignment.vala,
	  vala/valabinaryexpression.vala, vala/valacastexpression.vala,
	  vala/valacodenode.vala, vala/valadostatement.vala,
	  vala/valaexpressionstatement.vala, vala/valaforeachstatement.vala,
	  vala/valaforstatement.vala, vala/valaifstatement.vala,
	  vala/valainvocationexpression.vala, vala/valamemberaccess.vala,
	  vala/valaobjectcreationexpression.vala,
	  vala/valaparenthesizedexpression.vala,
	  vala/valapointerindirection.vala,
	  vala/valareferencetransferexpression.vala,
	  vala/valareturnstatement.vala, vala/valasemanticanalyzer.vala,
	  vala/valaswitchstatement.vala, vala/valathrowstatement.vala,
	  vala/valaunaryexpression.vala, vala/valavariabledeclarator.vala,
	  vala/valawhilestatement.vala: rename replace method to
	  replace_expression and require arguments of type Expression

2007-12-02  Jürg Billeter  <j@bitron.ch>

	* vala/valaclass.vala, vala/valainterface.vala: prevent conflicts in
	  type macros

2007-12-02  Jürg Billeter  <j@bitron.ch>

	* vala/valadatatype.vala, vala/Makefile.am: rename TypeReference to
	  DataType

	* vala/parser.y, vala/vala.h, vala/*.vala, gobject/*.vala,
	  vapigen/valagidlparser.vala: adapt after renaming

2007-12-02  Jürg Billeter  <j@bitron.ch>

	* vala/valatypesymbol.vala, vala/Makefile.am: rename DataType to
	  Typesymbol

	* vala/*.vala, gobject/*.vala, vapigen/*.vala: adapt after renaming

2007-12-01  Jürg Billeter  <j@bitron.ch>

	* ccode/valaccodeblock.vala: don't emit unreachable code,
	  patch by Ondřej Jirman

2007-12-01  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valaclass.vala, vala/valacreationmethod.vala,
	  vala/valainterfacewriter.vala, vala/valamemberaccess.vala,
	  vala/valasemanticanalyzer.vala, vala/valastruct.vala: don't let named
	  creation methods conflict with normal methods

	* gobject/valaccodegenerator.vala: fix revealed typo

	* vapi/cairo.vapi: Matrix is a value-type, declare it as struct

	* vapi/packages/gtk+-2.0/gtk+-2.0-custom.vala,
	  vapi/packages/gtk+-2.0/gtk+-2.0.metadata: remove default creation
	  method from Gtk.Widget

	* vapi/gtk+-2.0.vapi: regenerated

2007-11-30  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratorinvocationexpression.vala,
	  gobject/valaccodegeneratormethod.vala: pass non-simple structs always
	  by reference

	* tests/structs.exp, tests/structs.vala: test struct parameters

2007-11-30  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: check interfaces before base class
	  in symbol lookup

	* tests/classes-methods.exp, tests/classes-methods.vala: test expected
	  symbol lookup behavior

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* vala/valamemberaccess.vala, gobject/Makefile.am,
	  gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala,
	  gobject/valaccodemethodbinding.vala: support virtual methods without
	  wrapper with the [NoWrapper] attribute, fixes bug 455874

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* vala/valaaddressofexpression.vala,
	  vala/valaarraycreationexpression.vala, vala/valaassignment.vala,
	  vala/valabaseaccess.vala, vala/valabinaryexpression.vala,
	  vala/valacastexpression.vala, vala/valaconditionalexpression.vala,
	  vala/valaelementaccess.vala, vala/valaexpression.vala,
	  vala/valainitializerlist.vala, vala/valainvocationexpression.vala,
	  vala/valalambdaexpression.vala, vala/valaliteralexpression.vala,
	  vala/valamemberaccess.vala, vala/valaobjectcreationexpression.vala,
	  vala/valaparenthesizedexpression.vala,
	  vala/valapointerindirection.vala, vala/valapostfixexpression.vala,
	  vala/valareferencetransferexpression.vala,
	  vala/valasizeofexpression.vala, vala/valatypecheck.vala,
	  vala/valatypeofexpression.vala, vala/valaunaryexpression.vala: add
	  is_pure method to Expression class

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* tests/: refactor tests to have more descriptive names

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* configure.ac, tests/Makefile.am, tests/testenchant.vala: remove
	  enchant bindings test, we focus on compiler tests

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* ccode/Makefile.am, compiler/Makefile.am, gee/Makefile.am,
	  gen-project/Makefile.am, gobject/Makefile.am, vala/Makefile.am,
	  vapigen/Makefile.am: fix distcheck

2007-11-29  Jürg Billeter  <j@bitron.ch>

	* doc/vala/Makefile.am, doc/vala/classes.xml, doc/vala/default.css,
	  doc/vala/delegates.xml, doc/vala/enums.xml, doc/vala/exceptions.xml,
	  doc/vala/expressions.xml, doc/vala/index.xml, doc/vala/interfaces.xml,
	  doc/vala/namespaces.xml, doc/vala/statements.xml,
	  doc/vala/structs.xml, doc/vala/types.xml, doc/vala/xhtml.xsl: add some
	  basic documentation for statements, extend documentation structure

2007-11-28  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valamethod.vala,
	  ccode/valaccodefunction.vala, ccode/valaccodemodifiers.vala,
	  gobject/valaccodegeneratormethod.vala: add support for inline methods

2007-11-28  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: bind atomic operations, fixes bug 499970

2007-11-28  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/scanner.l, vala/valafield.vala,
	  gobject/valaccodegenerator.vala: add support for volatile fields,
	  fixes bug 499960

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* gen-project/valaprojectgenerator.vala: search for INSTALL and COPYING
	  files in more directories, don't fail if auxiliary files can't be
	  found, based on patch by Marcelo Lira, fixes bug 499806

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* gen-project/valaprojectgenerator.vala: add AM_MAINTAINER_MODE and
	  replace deprecated INCLUDES by AM_CPPFLAGS

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* ccode/Makefile.am, compiler/Makefile.am, gee/Makefile.am,
	  gen-project/Makefile.am, gobject/Makefile.am, tests/Makefile.am,
	  vala/Makefile.am, vapigen/Makefile.am: don't use filter function in
	  makefiles as it's a GNU make extension

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* configure.ac: add AM_MAINTAINER_MODE

	* autogen.sh: enable maintainer mode by default

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* ccode/Makefile.am, compiler/Makefile.am, gee/Makefile.am,
	  gen-project/Makefile.am, gobject-introspection/Makefile.am,
	  gobject/Makefile.am, tests/Makefile.am, vala/Makefile.am,
	  vapigen/Makefile.am: replace deprecated INCLUDES by AM_CPPFLAGS

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/cparser.y: concatenate adjacent string literal
	  tokens

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: bind sscanf instead of scanf, add memcpy binding

2007-11-27  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add scanf and fscanf bindings

2007-11-25  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Post-release version bump

2007-11-25  Jürg Billeter  <j@bitron.ch>

	* NEWS: update for 0.1.5 release

2007-11-25  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: remove short-living reference warning,
	  too many false positives

2007-11-25  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add binding for g_chmod

	* Makefile.am, configure.ac, gen-project/Makefile.am,
	  gen-project/valaprojectgenerator.vala: add vala-gen-project, a simple
	  gui for generating Vala projects, not built by default, requires GTK+

2007-11-25  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: mark GtkTargetEntry as
	  value-type

	* vapi/gtk+-2.0.vapi: regenerated

2007-11-24  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: fix is_out support for parameters

2007-11-24  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: support is_out for parameters in the
	  metadata

2007-11-24  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: add support for overriding the name and
	  namespace of types

2007-11-24  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/gen-introspect.c: avoid NULL function parameter
	  names

	* vapigen/valagidlparser.vala: accept iconv_t

2007-11-23  Jürg Billeter  <j@bitron.ch>

	* configure.ac, gobject-introspection/Makefile.am,
	  gobject-introspection/gen-introspect.c: call g_thread_init to support
	  libraries using threading functionality in class_init functions,
	  avoid NULL parameter names for signals and vfuncs

	* vapi/packages/libsoup-2.2/: update to use vala-gen-introspect

	* vapi/packages/hildon-1/hildon-1.gi,
	  vapi/packages/libgnomeui-2.0/libgnomeui-2.0.gi, vapi/hildon-1.vapi,
	  vapi/libgnomeui-2.0.vapi, vapi/libsoup-2.2.vapi: regenerated

2007-11-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/hildon-1/: update to use vala-gen-introspect

	* vapi/hildon-1.vapi: regenerated

2007-11-23  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/cparser.y: add support for anonymous structs
	  and unions (gcc extension)

2007-11-23  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/poppler-glib/: update to use vala-gen-introspect

	* vapi/poppler-glib.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libnotify/: update to use vala-gen-introspect

	* vapi/libnotify.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libgnome-2.0/, vapi/packages/libgnomeui-2.0/: update to
	  use vala-gen-introspect

	* vapi/libgnome-2.0.vapi, vapi/libgnomeui-2.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/gen-introspect.c: fix value of string constants

	* vapi/packages/gstreamer-0.10/gstreamer-0.10.gi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/clexer.l,
	  gobject-introspection/gen-introspect.c: compare complete path

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-vfs-2.0/: update to use vala-gen-introspect

	* vapi/gnome-vfs-2.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/vala-gen-introspect/vala-gen-introspect.in: add support for
	  .defines file

	* vapi/packages/libwnck-1.0/: update to use vala-gen-introspect

	* vapi/libwnck-1.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gnome-desktop-2.0/: update to use vala-gen-introspect

	* vapi/gnome-desktop-2.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/libglade-2.0/: update to use vala-gen-introspect

	* vapi/libglade-2.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/vte/: update to use vala-gen-introspect

	* vapi/vte.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtksourceview-2.0/: update to use vala-gen-introspect

	* vapi/gtksourceview-2.0.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gstreamer-0.10/: update to use vala-gen-introspect

	* vapi/gstreamer-0.10.vapi: regenerated

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: ignore empty lines in .files

	* vapigen/vala-gen-introspect/vala-gen-introspect.in: add some type
	  aliases

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/gen-introspect.c: don't process get_type
	  function symbols twice, support Interface suffix in addition to the
	  more common Iface suffix

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vala/parser.y, vala/valacodecontext.vala,
	  vala/valacreationmethod.vala, vala/valasemanticanalyzer.vala,
	  vapigen/valagidlparser.vala: report error for missing return types in
	  methods

	* vapi/glib-2.0.vapi: fix revealed typo

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* gobject-introspection/clexer.l, gobject-introspection/cparser.y,
	  gobject-introspection/gen-introspect.c: improve error reporting and
	  ignore get_type functions with parameters

2007-11-22  Jürg Billeter  <j@bitron.ch>

	* vala/valasemanticanalyzer.vala: add symbol dependency for generic
	  type arguments

	* gobject/valaccodegenerator.vala, gobject/valaccodegeneratorclass.vala,
	  gobject/valaccodegeneratormethod.vala: add type property for generic
	  type parameters, support typeof for type parameters

	* configure.ac: require glib 2.12 for g_value_get_gtype

2007-11-21  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add some more GObject functions

2007-11-21  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: extend GValue, fix g_object_connect

2007-11-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/gio-2.0.metadata: add missing cheader_filename
	  attributes

	* vapi/gio-2.0.vapi: regenerated

2007-11-20  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/gio-2.0.gi: updated to gio 0.1.2

	* vapi/gio-2.0.vapi: regenerated

2007-11-20  Jürg Billeter  <j@bitron.ch>

	* vapigen/valagidlparser.vala: detect out parameters of value types, add
	  support for array return types

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: set is_array for return
	  value of gtk_tree_path_get_indices

	* vapi/atk.vapi, vapi/gconf-2.0.vapi, vapi/gdk-2.0.vapi,
	  vapi/gio-2.0.vapi, vapi/gtk+-2.0.vapi, vapi/pango.vapi: regenerated

2007-11-16  Jürg Billeter  <j@bitron.ch>

	* tests/property-sample.vala: remove invalid property definitions

2007-11-13  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gconf-2.0/: update to use vala-gen-introspect

	* vapi/gconf-2.0.vapi: regenerated

2007-11-12  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add binding for g_type_qname and fix GQuark
	  binding

2007-11-11  Jürg Billeter  <j@bitron.ch>

	* vapi/glib-2.0.vapi: add bindings for g_object_get_data,
	  g_object_set_data, and g_type_query

2007-11-10  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala,
	  gobject/valaccodegeneratormemberaccess.vala: fix code generation for
	  private fields in types not based on GTypeInstance

2007-11-06  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gio-2.0/gio-2.0.gi, vapi/gio-2.0.vapi: updated to gio
	  0.1.1

2007-11-04  Jürg Billeter  <j@bitron.ch>

	* vapi/packages/gtk+-2.0/gtk+-2.0.metadata: mark gtk_object_destroy as
	  emitter function

	* vapi/gtk+-2.0.vapi: regenerated

2007-11-04  Jürg Billeter  <j@bitron.ch>

	* compiler/valacompiler.vala: fix signedness mismatch

2007-11-04  Jürg Billeter  <j@bitron.ch>

	* gobject/valaccodegenerator.vala: cast generic copy function to
	  GBoxedCopyFunc

2007-11-04  Jürg Billeter  <j@bitron.ch>

